(TeX-add-style-hook "acmtrans2e"
 (lambda ()
    (LaTeX-add-environments
     "thebibliography"
     "acknowledgment"
     "acknowledgments"
     "ack"
     "bottomstuff"
     "marray"
     "received"
     "abstract"
     "narrowfig"
     "acmtable"
     "table"
     "figure"
     "theindex"
     "titlepage"
     "proof"
     "program"
     "describe"
     "description"
     "quote"
     "quotation"
     "verse"
     "longitem"
     "itemize"
     "longenum"
     "appenheader"
     '("ackslike" 1)
     "acks")
    (LaTeX-add-labels
     "@firstpg"
     "@lastpg")
    (TeX-add-symbols
     "small"
     "footnotesize"
     "scriptsize"
     "tiny"
     "large"
     "Large"
     "LARGE"
     "huge"
     "Huge"
     "apbf"
     "sc"
     "bibindent"
     "refname"
     "longpage"
     "shortpage"
     "rm"
     "sf"
     "tt"
     "bf"
     "it"
     "sl"
     "cal"
     "mit"
     "href"
     "pages"
     "mypage"
     "pdfinfo"
     "pdfbookmark"
     "baselinestretch"
     "part"
     "section"
     "subsection"
     "subsubsection"
     "paragraph"
     "appendix"
     "theHsection"
     "enumerate"
     "makelabel"
     "qed"
     "theequation"
     "thepart"
     "thesection"
     "thesubsection"
     "thesubsubsection"
     "theparagraph"
     "tableofcontents"
     "listoffigures"
     "listoftables"
     "item"
     "subitem"
     "subsubitem"
     "indexspace"
     "footnoterule"
     "topfraction"
     "bottomfraction"
     "textfraction"
     "floatpagefraction"
     "dbltopfraction"
     "dblfloatpagefraction"
     "thefigure"
     "thetable"
     "normalsize"
     "caption"
     "nocaption"
     "maketitle"
     "terms"
     "keywords"
     "category"
     "and"
     "sectionmark"
     "subsectionmark"
     "runningfoot"
     "firstfoot"
     "today"
     "citeXNP"
     "citeNP"
     "citeN"
     "shortciteN"
     "citeS"
     "citeNS"
     "citeNPS"
     "citeNN"
     "citeA"
     "citeANP"
     "citeyear"
     "citeyearNP"
     "newdef"
     "firstfootsize"
     "permission"
     "shortcite"
     "appendixhead"
     "elecappendix"
     "newblock"
     "protect"
     "cite"
     "citeauthoryear")
    (TeX-run-style-hooks
     "latexsym")))

