(TeX-add-style-hook "apa"
 (lambda ()
    (LaTeX-add-environments
     "tabular"
     "itemize"
     "enumerate"
     "APAitemize"
     "seriate"
     "APAenumerate")
    (TeX-add-symbols
     '("fitbitmap" ["argument"] 1)
     '("fitfigure" ["argument"] 1)
     '("footmark" 1)
     "thickline"
     "apasmash"
     "uprightlowercasegreek"
     "stiny"
     "iint"
     "tempiint"
     "iiint"
     "tempiiint"
     "iiiint"
     "tempiiiint"
     "idotsint"
     "tempidotsint"
     "openbox"
     "tempopenbox"
     "rheadname"
     "acksname"
     "figurecaptionsname"
     "notesname"
     "OneLevelHeading"
     "TwoLevelHeading"
     "TwoLevelHeadingA"
     "ThreeLevelHeading"
     "FourLevelHeading"
     "FiveLevelHeading"
     "section"
     "subsection"
     "subsubsection"
     "paragraph"
     "subparagraph"
     "item"
     "makelabel"
     "title"
     "author"
     "twoauthors"
     "onetwoauthors"
     "twooneauthors"
     "threeauthors"
     "fourauthors"
     "fiveauthors"
     "sixauthors"
     "affiliation"
     "twoaffiliations"
     "onetwoaffiliations"
     "twooneaffiliations"
     "threeaffiliations"
     "fouraffiliations"
     "fiveaffiliations"
     "sixaffiliations"
     "note"
     "abstract"
     "acknowledgements"
     "journal"
     "volume"
     "ccoppy"
     "copnum"
     "ifapamodeman"
     "ifapamodejou"
     "ifapamodedoc"
     "ifapamode"
     "apatabular"
     "tabfnm"
     "tabfnt"
     "apavector"
     "alpha"
     "beta"
     "gamma"
     "delta"
     "epsilon"
     "varepsilon"
     "zeta"
     "eta"
     "theta"
     "vartheta"
     "iota"
     "kappa"
     "lambda"
     "mu"
     "nu"
     "xi"
     "pi"
     "varpi"
     "rho"
     "varrho"
     "sigma"
     "varsigma"
     "tau"
     "upsilon"
     "phi"
     "varphi"
     "chi"
     "psi"
     "omega"
     "apamatrix"
     "apaappfig"
     "apaapptab"
     "appendix"
     "enoteformat"
     "enotesize"
     "eatarg"
     "ifnextchar"
     "figure"
     "table"
     "listoffigures"
     "figurecaptionsformat"
     "contentsline"
     "numberline"
     "processfigures"
     "processtables"
     "oldfootnote"
     "footnote"
     "savefootnoterule"
     "footnoterule"
     "baselinestretch"
     "sectionmark"
     "subsectionmark"
     "caption"
     "footnotesize"
     "levelone"
     "leveltwo"
     "levelthree"
     "levelfour"
     "levelfive"
     "rightheader"
     "leftheader"
     "shorttitle"
     "maketitle"
     "topfraction"
     "bottomfraction"
     "textfraction"
     "floatpagefraction"
     "dbltopfraction"
     "dblfloatpagefraction"
     "dbltextfloatsep"
     "helvetica"
     "centeredcaption"
     "BBAB"
     "ignore"
     "oneLevelHeading"
     "twoLevelHeading"
     "threeLevelHeading"
     "fourLevelHeading"
     "fiveLevelHeading"
     "HeadingLevels"
     "headinglevels"
     "bibliographystyle")
    (TeX-run-style-hooks
     "ftnright"
     "flushend"
     "endfloat"
     "notablist"
     "figlist"
     "notabhead"
     "nofighead"
     "tablesfirst"
     "nomarkers"
     "endnotes"
     "bm"
     "fancyhdr"
     "bibnewpage"
     "apacite"
     "babel"
     "mathptm"
     "times"
     "pslatex"
     "txfonts"
     "art10"
     "twoside"
     "longtable"
     "art11"
     "article"
     "11pt")))

