(TeX-add-style-hook "cc"
 (lambda ()
    (LaTeX-add-environments
     "thebibliography"
     "othebibliography"
     "nthebibliography"
     "acknowledge")
    (TeX-add-symbols
     '("numberwithin" ["argument"] 2)
     "ignorespacesafterend"
     "email"
     "homepage"
     "ixpt"
     "xptsfbx"
     "textsfbx"
     "headerindent"
     "headrulewidth"
     "bigstar"
     "lozenge"
     "square"
     "text"
     "cctitlehead"
     "ccauthorhead"
     "bibfont"
     "section"
     "nref"
     "partname"
     "chaptername"
     "sectionname"
     "subsectionname"
     "subsubsectionname"
     "appendixname"
     "appendix"
     "figurename"
     "tablename"
     "ccacknowledgementsname"
     "footnoterule")
    (TeX-run-style-hooks
     "ccalgo"
     "ccproof"
     "ccthm"
     "relabel"
     "multicol"
     "cccite"
     "cc2cite"
     "cclayout"
     "url"
     "amssymb"
     "amsfonts"
     "amsmath"
     "inputenc"
     "latin1"
     "babel"
     "fontenc"
     "T1"
     "art10"
     "article"
     "ccaux")))

