(TeX-add-style-hook "curve"
 (lambda ()
    (LaTeX-add-environments
     '("thebibliography" 1)
     '("rubric" 1))
    (TeX-add-symbols
     '("makeheaders" ["argument"] 0)
     '("photo" ["argument"] 1)
     '("listpubname" 1)
     '("makerubric" 1)
     '("flavor" 1)
     '("titlealignment" 1)
     '("subtitlefont" 1)
     '("subtitle" 1)
     '("titlefont" 1)
     '("photoscale" 1)
     '("rightheader" 1)
     '("leftheader" 1)
     '("headerscale" 1)
     '("continuedname" 1)
     '("rubricalignment" 1)
     '("rubricfont" 1)
     '("subrubric" 1)
     '("subrubricalignment" 1)
     '("subrubricfont" 1)
     '("noentry" 1)
     '("prefix" 1)
     '("keyalignment" 1)
     '("keyfont" 1)
     "entry"
     "maketitle"
     "raggedright"
     "raggedleft"
     "newpage"
     "pagebreak"
     "nopagebreak"
     "today"
     "newblock"
     "bibname"
     "refname"
     "bibliography"
     "protect")
    (TeX-run-style-hooks
     "graphicx"
     "calc"
     "ifthen"
     "ltxtable")))

