(TeX-add-style-hook "disser"
 (lambda ()
    (LaTeX-add-environments
     '("thebibliography" 1)
     "description"
     "abstract"
     "quotation"
     "quote"
     "titlepage"
     "figure"
     "table"
     "theindex")
    (TeX-add-symbols
     '("nsubsubsection" 1)
     '("nsubsection" 1)
     '("nsection" 1)
     '("nchapter" 1)
     '("descriptionlabel" 1)
     '("chaptermark" 1)
     '("deflength" 2)
     "MakeTextUppercase"
     "MakeTextLowercase"
     "rm"
     "sf"
     "tt"
     "bf"
     "it"
     "sl"
     "sc"
     "cal"
     "mit"
     "singlespacing"
     "onehalfspacing"
     "doublespacing"
     "theappendix"
     "tocthepart"
     "tocthechapter"
     "toctheappendix"
     "tocthesection"
     "tocthesubsection"
     "tocthesubsubsection"
     "toctheparagraph"
     "tocthesubparagraph"
     "bachelor"
     "master"
     "candidate"
     "doctor"
     "autoref"
     "tocprethepart"
     "tocpostthepart"
     "tocpartfill"
     "tocpartfont"
     "tocpartfillfont"
     "tocpartnumfont"
     "thepartalign"
     "thepartfont"
     "prethepart"
     "postthepart"
     "partalign"
     "partfont"
     "beforepart"
     "afterpart"
     "part"
     "l"
     "chapterindent"
     "chapter"
     "tocpretheappendix"
     "tocposttheappendix"
     "tocappendixfill"
     "tocappendixfont"
     "tocappendixfillfont"
     "tocappendixnumfont"
     "theappendixalign"
     "theappendixfont"
     "pretheappendix"
     "posttheappendix"
     "appendixalign"
     "appendixfont"
     "beforeappendix"
     "afterappendix"
     "appendixindent"
     "appendix"
     "noappendix"
     "tocprethesection"
     "tocpostthesection"
     "tocsectionfill"
     "tocsectionfont"
     "tocsectionfillfont"
     "tocsectionnumfont"
     "tocsectionindent"
     "tocsectionnameindent"
     "sectionfont"
     "prethesection"
     "postthesection"
     "sectionindent"
     "beforesection"
     "aftersection"
     "sectionalign"
     "tocprethesubsection"
     "tocpostthesubsection"
     "tocsubsectionfill"
     "tocsubsectionfont"
     "tocsubsectionfillfont"
     "tocsubsectionnumfont"
     "tocsubsectionindent"
     "tocsubsectionnameindent"
     "subsectionfont"
     "prethesubsection"
     "postthesubsection"
     "subsectionindent"
     "beforesubsection"
     "aftersubsection"
     "subsectionalign"
     "tocprethesubsubsection"
     "tocpostthesubsubsection"
     "tocsubsubsectionfill"
     "tocsubsubsectionfont"
     "tocsubsubsectionfillfont"
     "tocsubsubsectionnumfont"
     "tocsubsubsectionindent"
     "tocsubsubsectionnameindent"
     "subsubsectionfont"
     "prethesubsubsection"
     "postthesubsubsection"
     "subsubsectionindent"
     "beforesubsubsection"
     "aftersubsubsection"
     "subsubsectionalign"
     "tocpretheparagraph"
     "tocposttheparagraph"
     "tocparagraphfill"
     "tocparagraphfont"
     "tocparagraphfillfont"
     "tocparagraphnumfont"
     "tocparagraphindent"
     "tocparagraphnameindent"
     "paragraphfont"
     "pretheparagraph"
     "posttheparagraph"
     "paragraphindent"
     "beforeparagraph"
     "afterparagraph"
     "paragraphalign"
     "tocprethesubparagraph"
     "tocpostthesubparagraph"
     "tocsubparagraphfill"
     "tocsubparagraphfont"
     "tocsubparagraphfillfont"
     "tocsubparagraphnumfont"
     "tocsubparagraphindent"
     "tocsubparagraphnameindent"
     "subparagraphfont"
     "prethesubparagraph"
     "postthesubparagraph"
     "subparagraphindent"
     "subparagraphalign"
     "beforesubparagraph"
     "aftersubparagraph"
     "section"
     "subsection"
     "subsubsection"
     "paragraph"
     "subparagraph"
     "captionlabeldelim"
     "captionfont"
     "captionlabelfont"
     "prethefootnote"
     "postthefootnote"
     "prefootnote"
     "abstractnamefont"
     "abstractfont"
     "postabstract"
     "evenheadfont"
     "evenfootfont"
     "oddheadfont"
     "oddfootfont"
     "headfont"
     "footfont"
     "today"
     "titlefont"
     "topiclabelfont"
     "topicfont"
     "instfont"
     "cdsep"
     "indexspace"
     "bibindent"
     "newblock"
     "tableofcontents"
     "listoffigures"
     "listoftables"
     "subitem"
     "subsubitem"
     "English"
     "intop"
     "ointop"
     "thefigsubsep"
     "i"
     "j"
     "partpagestyle"
     "oldtocprethechapter"
     "oldtocpostthechapter"
     "oldtocchapterfill"
     "oldtocchapterfont"
     "oldtocchapterfillfont"
     "oldtocchapternumfont"
     "oldthechapteralign"
     "oldthechapterfont"
     "oldprethechapter"
     "oldpostthechapter"
     "oldchapteralign"
     "oldchapterfont"
     "oldchapterindent"
     "oldbeforechapter"
     "oldafterchapter"
     "oldthechapter"
     "tocprethechapter"
     "tocpostthechapter"
     "tocchapterfill"
     "tocchapterfont"
     "tocchapterfillfont"
     "tocchapternumfont"
     "thechapteralign"
     "thechapterfont"
     "prethechapter"
     "postthechapter"
     "chapteralign"
     "chapterfont"
     "beforechapter"
     "afterchapter"
     "thefootnote"
     "thempfootnote"
     "footnoterule"
     "makelabel"
     "newtheorem"
     "chapterpagestyle"
     "thanks"
     "maketitle"
     "title"
     "author"
     "date"
     "and"
     "footnotesize"
     "footnote"
     "tocfill"
     "item"
     "Eng"
     "citeN"
     "shortcite"
     "citeasnoun"
     "thesubfigure"
     "metaphantom")
    (TeX-run-style-hooks
     "hypcap"
     "all"
     "hypernat"
     "hypertex"
     "cmap"
     "graphicx"
     "hyperref"
     "pdftex"
     "unicode"
     "subfig"
     "caption"
     "config"
     "wrapfig"
     "natbib"
     "square"
     "comma"
     "sort&compress"
     "numbers"
     "cyrtimes"
     "pscyr"
     "txfonts"
     "mtpro"
     "subscriptcorrection"
     "nofontinfo"
     "boldalphabet"
     "amsfonts"
     "amssymb"
     "amsmath"
     "intlimits"
     "exscale"
     "kvoptions"
     "ifpdf"
     "leqno"
     "fleqn")))

