(TeX-add-style-hook "ebsthesis"
 (lambda ()
    (LaTeX-add-environments
     "thenomenclature"
     "thm"
     "lem"
     "prop"
     "cor"
     "defn"
     "conj"
     "exmp"
     "case")
    (TeX-add-symbols
     '("evaluatedat" ["argument"] 2)
     '("abs" 1)
     '("order" 1)
     '("var" 1)
     '("indic" 1)
     '("hochschulsignatur" 1)
     '("pruefungstermin" 1)
     '("einreichungstermin" 1)
     '("referenten" 1)
     '("geburtsort" 1)
     '("kandidat" 1)
     '("hochschule" 1)
     '("fachbereich" 1)
     '("untertitel" 1)
     '("titel" 1)
     '("grad" 1)
     "abkuerzungsverzeichnisname"
     "appendicesname"
     "geleitwortname"
     "inhaltsuebersichtname"
     "listappendixname"
     "symbolverzeichnisname"
     "vorwortname"
     "ebsindent"
     "listofappendices"
     "startappendices"
     "stopappendices"
     "thegrad"
     "thetitel"
     "theuntertitel"
     "thefachbereich"
     "thehochschule"
     "thekandidat"
     "thegeburtsort"
     "thereferenten"
     "theeinreichungstermin"
     "thepruefungstermin"
     "thehochschulsignatur"
     "inhaltsuebersicht"
     "geleitwort"
     "vorwort"
     "symbolverzeichnis"
     "abkuerzungsverzeichnis"
     "acro"
     "graphicsmag"
     "smallgraphicsmag"
     "tinygraphicsmag"
     "D"
     "E"
     "I"
     "MathLogo"
     "expect"
     "Var"
     "Cov"
     "normal"
     "Cset"
     "Hset"
     "Nset"
     "Qset"
     "Rset"
     "Zset"
     "eg"
     "ie"
     "iid"
     "cp"
     "idR"
     "mE"
     "uU"
     "zB"
     "theoremname"
     "lemmaname"
     "propositionname"
     "corollaryname"
     "definitionname"
     "conjecturename"
     "examplename"
     "remarkname"
     "casename"
     "acroextra")
    (TeX-run-style-hooks
     "amsthm"
     "ifthen"
     "dsfont"
     "amssymb"
     "wrisym"
     "comment"
     "onlyamsmath"
     "all"
     "amsmath"
     "tbtags"
     "acronym"
     "mdwlist"
     "nomencl"
     "noprefix"
     "tocbibind"
     "nottoc"
     "array"
     "titletoc"
     "calc"
     "titlesec"
     "nobottomtitles*"
     "newparttoc"
     "clearempty"
     "toctitles"
     "newlinetospace"
     "pagestyles"
     "remreset"
     "ragged2e"
     "caption"
     "rotfloat"
     "setspace"
     "nodisplayskipstretch"
     "geometry"
     "extbook10"
     "extbook")))

