(TeX-add-style-hook "elsart"
 (lambda ()
    (LaTeX-add-environments
     "keyword"
     "abstract"
     "frontmatter"
     "table"
     "figure"
     "thebibliography"
     "algorithm"
     "eqnarray"
     "equation"
     "description"
     "quote"
     "quotation"
     "verse"
     "ack"
     '("subbibitems" 1)
     "pf"
     "thm"
     "cor"
     "lem"
     "claim"
     "axiom"
     "conj"
     "fact"
     "hypo"
     "assum"
     "prop"
     "crit"
     "defn"
     "exmp"
     "rem"
     "prob"
     "prin"
     "alg"
     "note"
     "summ"
     "case"
     "NoHyper")
    (LaTeX-add-labels
     "#1")
    (TeX-add-symbols
     '("ead" ["argument"] 0)
     "eqntopsep"
     "eqnarraycolsep"
     "labelwidthi"
     "labelwidthii"
     "labelwidthiii"
     "labelwidthiv"
     "eqnbaselineskip"
     "eqnlineskip"
     "mathindent"
     "rulepreskip"
     "rulepostskip"
     "sf"
     "tt"
     "bf"
     "it"
     "sl"
     "sc"
     "cal"
     "mit"
     "listoffigures"
     "listoftables"
     "newblock"
     "readRCS"
     "RCSfile"
     "RCSversion"
     "RCSdate"
     "snm"
     "cty"
     "cny"
     "jr"
     "partname"
     "appendixname"
     "contentsname"
     "listfigurename"
     "listtablename"
     "refname"
     "indexname"
     "figurename"
     "tablename"
     "abstractname"
     "cropwidth"
     "cropheight"
     "cropleft"
     "croptop"
     "FullCopyrightText"
     "copyrightholder"
     "etal"
     "AND"
     "normalsize"
     "small"
     "footnotesize"
     "scriptsize"
     "tiny"
     "large"
     "Large"
     "LARGE"
     "huge"
     "Huge"
     "section"
     "subsection"
     "subsubsection"
     "paragraph"
     "appendix"
     "setleftmargin"
     "enumerate"
     "itemize"
     "descriptionlabel"
     "makelabel"
     "neq"
     "ne"
     "operatorname"
     "lefteqn"
     "calcmathindent"
     "arraystretch"
     "theequation"
     "thesection"
     "thesubsection"
     "thesubsubsection"
     "theparagraph"
     "thesubparagraph"
     "qed"
     "theoremstyle"
     "Elproofname"
     "thealgorithm"
     "note"
     "bibitem"
     "cv"
     "thempfootnote"
     "mpfootnotemark"
     "thempfn"
     "topfraction"
     "textfraction"
     "floatpagefraction"
     "bottomfraction"
     "dbltopfraction"
     "dblfloatpagefraction"
     "conttablecaption"
     "contfigurecaption"
     "thefigure"
     "thetable"
     "contcaption"
     "theHaddress"
     "rm"
     "ss"
     "ae"
     "oe"
     "AE"
     "OE"
     "o"
     "O"
     "i"
     "j"
     "aa"
     "AA"
     "l"
     "L"
     "b"
     "c"
     "bar"
     "protect"
     "thanksref"
     "corauthref"
     "thanks"
     "corauth"
     "footnote"
     "footnotemark"
     "footnoterule"
     "tableofcontents"
     "preface"
     "maketitle"
     "nolinenumbers"
     "title"
     "subtitle"
     "author"
     "and"
     "collab"
     "collaboration"
     "thecorauth"
     "thefootnote"
     "xarabic"
     "xalph"
     "xfnsymbol"
     "address"
     "theaddress"
     "sep"
     "MSC"
     "PACS"
     "runtitle"
     "runauthor"
     "RUNDATE"
     "RUNJNL"
     "RUNART"
     "journal"
     "volume"
     "issue"
     "company"
     "pubyear"
     "copyear"
     "copyrightyear"
     "ESpagenumber"
     "firstpage"
     "realpageref"
     "lastpage"
     "date"
     "aid"
     "ssdi"
     "received"
     "revised"
     "accepted"
     "communicated"
     "dedicated"
     "presented"
     "articletype"
     "fnstar"
     "astsymbol"
     "sectionmark"
     "subsectionmark"
     "today"
     "nuc"
     "itnuc"
     "pol"
     "half"
     "threehalf"
     "quart"
     "d"
     "e"
     "int"
     "oint"
     "pFMslash"
     "pFMSlash"
     "FMslash"
     "FMSlash"
     "Cset"
     "Hset"
     "Nset"
     "Qset"
     "Rset"
     "Zset"
     "thepage"
     "baselinestretch")
    (TeX-run-style-hooks
     "amsthm"
     "latexsym")))

