(TeX-add-style-hook "eqexam"
 (lambda ()
    (LaTeX-add-environments
     "solution"
     "shortTitleText"
     "longTitleText"
     '("splitsolution" 1)
     "workarea"
     "panel"
     "instructions"
     "eqComments"
     "exam"
     "problem")
    (TeX-add-symbols
     "endtitleMarker"
     '("OnBackOfPage" ["argument"] 0)
     '("TF" ["argument"] 1)
     '("fillin" ["argument"] 2)
     '("calcFromMarkers" ["argument"] 2)
     '("eqEmail" ["argument"] 1)
     '("eqSID" ["argument"] 1)
     '("eqExamName" ["argument"] 1)
     '("foritem" 1)
     '("forproblem" 1)
     '("itemPTsFormated" 1)
     '("itemPTsTxt" 1)
     '("defaultInstructions" 1)
     '("markerTotalFmt" 1)
     '("marginpointsboxtext" 2)
     '("leftmarginPtsEaTxt" 1)
     '("leftmarginPtsTxt" 1)
     '("pointLabel" 1)
     '("pointsLabel" 1)
     '("eachLabel" 1)
     '("ptLabel" 1)
     '("ptsLabel" 1)
     '("coverpageTitleFmt" 1)
     '("coverpageSubjectFmt" 1)
     '("coverpageUniversityFmt" 1)
     '("coverpagesubject" 1)
     '("rheadSol" 1)
     '("cheadSol" 1)
     '("lheadSol" 1)
     '("rhead" 1)
     '("chead" 1)
     '("lhead" 1)
     '("examEmailLabel" 1)
     '("examSIDLabel" 1)
     '("examNameLabel" 1)
     '("nolinkcolor" 1)
     '("linkcolor" 1)
     '("subjectColor" 1)
     '("authorColor" 1)
     '("titleColor" 1)
     '("universityColor" 1)
     '("eqCommentsColor" 1)
     '("instructionsColor" 1)
     '("proofingsymbolColor" 1)
     "ps"
     "thisterm"
     "defaultthepartno"
     "runExamHeader"
     "eqExamRunHead"
     "runExamHeaderSol"
     "maketitledesign"
     "eqexcoverpagedesign"
     "totalsboxtext"
     "panelgap"
     "summaryPointTotal"
     "summaryTotalsTxt"
     "defaultTFwidth"
     "aNewPage"
     "qNewPage"
     "bopText"
     "bopCoverPageText"
     "separationrule"
     "inputRandomizeChoices"
     "sqLinks"
     "sqForms"
     "sqstar"
     "NoSpaceToWork"
     "SpaceToWork"
     "Hidesymbol"
     "exerSolnsHeadnToc"
     "eqDriverName"
     "eqemyconfig"
     "eqemyconfigi"
     "eqemyconfigii"
     "savedifpreview"
     "savedifeqforpaper"
     "ifnosolutions"
     "importdljs"
     "execjs"
     "eqDvipsone"
     "ifsolutionsafter"
     "ifpreview"
     "ifeqforpaper"
     "eqExamPageLayout"
     "eqbothmargins"
     "PointsOnLeft"
     "PointsOnRight"
     "PointsOnBothSides"
     "NoPoints"
     "TotalsOnLeft"
     "TotalsOnRight"
     "NoTotals"
     "totalsbox"
     "eoeTotalOff"
     "eoeTotalOn"
     "separationruleOn"
     "separationruleOff"
     "encloseProblemsWith"
     "examNum"
     "nExam"
     "Exam"
     "sExam"
     "VersionAtext"
     "VersionBtext"
     "shortVersionAtext"
     "shortVersionBtext"
     "numVersions"
     "ifAB"
     "forVersion"
     "selectVersion"
     "nLocalSelection"
     "message"
     "title"
     "subject"
     "author"
     "email"
     "keywords"
     "university"
     "optionalpagematter"
     "duedate"
     "theduedate"
     "insTxtFieldIdInfo"
     "SubmitInfo"
     "EmailCourseName"
     "EmailExamName"
     "EmailSubject"
     "ServerRetnMsg"
     "SubmitButtonLabel"
     "priorSubmitJS"
     "postSubmitJS"
     "SubmitButton"
     "thequizno"
     "linkContentFormat"
     "linkContentWrapper"
     "eqExamPriorVspace"
     "eqPriorVspace"
     "sqsllabel"
     "writetoSolns"
     "eqsolutionshook"
     "altTitle"
     "maketitle"
     "eqexcoverpage"
     "eqexamsubject"
     "probvalue"
     "eqleftmarginbox"
     "eqptsLabel"
     "eqptLabel"
     "marginpointtext"
     "eqleftmargin"
     "fieldName"
     "insertPointsBoxPDF"
     "insertTotalsBoxPDF"
     "eqrightmarginbox"
     "eqeomarginbox"
     "lastparttotaled"
     "parsetotals"
     "stripeqExam"
     "settotalsbox"
     "totalsboxleft"
     "totalsboxright"
     "theGrandTotal"
     "placeMarkerHere"
     "placeAtxy"
     "panelwidth"
     "panelheight"
     "usepanelwidth"
     "string"
     "solutionsafterSkip"
     "exambegdef"
     "examenddef"
     "setDefaultfvsizeskip"
     "fvsizeskip"
     "writetotalstoaux"
     "writelastpage"
     "exlabel"
     "sqlabel"
     "exsolafter"
     "sqsolafter"
     "exlabelformat"
     "exlabelformatwp"
     "exsllabelformat"
     "exsllabelformatwp"
     "exrtnlabelformat"
     "exrtnlabelformatwp"
     "sqslrtnlabel"
     "exsectitle"
     "exsecrunhead"
     "solnhspace"
     "fillinWidth"
     "makeDoNum"
     "makeOutOfNum"
     "argi"
     "argii"
     "makeRoomForProb"
     "nbaselineskip"
     "PTs"
     "auto"
     "afterlabelhskip"
     "probpointseach"
     "pushProblem"
     "popProblem"
     "lastPageTotal"
     "marginparafterhook"
     "manualcalcparts"
     "marginpoints"
     "autocalcparts"
     "numpoints"
     "marginparpriorhook"
     "boPage")
    (TeX-run-style-hooks
     "xkeyval"
     "multicol"
     "verbatim"
     "pifont"
     "calc"
     "exerquiz"
     "nodljs"
     "comment"
     "amssymb"
     "amstext"
     "latex2e"
     "art10"
     "article"
     "noxcolor"
     "keyval"
     "eqalone")))

