(TeX-add-style-hook "euclide"
 (lambda ()
    (LaTeX-add-index-entries
     "#2"
     "#2!\\protect\\indexcom{#2}\\protect#3"
     "#1!#2!#3"
     "#3"
     "#1!\\protect\\indexcom{#1}\\protect#2"
     "#3!\\protect\\indexcom{#3}\\protect#4")
    (LaTeX-add-environments
     '("tabexemple" 1))
    (TeX-add-symbols
     '("defcom" ["argument"] 2)
     '("tabex" 2)
     '("ParamList" 1)
     '("defcomdeux" 4)
     '("indexcom" 1)
     '("Glos" 3)
     "bs"
     "ComUnDescr"
     "ComDeuxDescr"
     "MonEuro"
     "EuclideManualLoaded"
     "Vecteur"
     "Angle"
     "Segment"
     "Arg"
     "Argsans"
     "OptArg"
     "smallverbatiminput"
     "param"
     "com"
     "DefaultVal"
     "PStricks"
     "PostScript"
     "Version"
     "Date"
     "twocoltoc")
    (TeX-run-style-hooks
     "longtable"
     "textcomp"
     "multind"
     "fancyhdr"
     "xspace"
     "changebar"
     "mathrsfs"
     "multicol"
     "moreverb"
     "array"
     "calc"
     "ifthen"
     "pst-plot"
     "pst-eucl"
     "pstcol"
     "usenames"
     "geometry"
     "a4paper"
     "inputenc"
     "latin1"
     "aeguill"
     "aecompl"
     "ae"
     "fontenc"
     "T1")))

