(TeX-add-style-hook "euproposal"
 (lambda ()
    (LaTeX-add-environments
     '("partnerdesc" 1)
     '("delivrables" 1)
     "titlepageabstract"
     "wpd"
     "wgd"
     "workgroup"
     "wptable"
     "wpdelivs"
     "wgdelivs"
     "workplan")
    (TeX-add-symbols
     '("wpdeliv" ["argument"] 1)
     '("wgdeliv" ["argument"] 1)
     '("inputdelivs" 1)
     '("delivrable" 6)
     "wpg"
     "thepart"
     "thechapter"
     "tableofcontents"
     "ProposalAcronym"
     "ProposalTitle"
     "ProposalCall"
     "ProposalTopics"
     "ProposalInstrument"
     "ProposalCoordinatorName"
     "ProposalCoordinatorEmail"
     "ProposalCoordinatorTelFax"
     "thelastpage"
     "ProposalCoordinator"
     "ProposalPartner"
     "PartnerTable"
     "euref"
     "euRef"
     "wpline"
     "wgline"
     "wpobjectives"
     "wpdescription"
     "lec"
     "milestone"
     "milesfor"
     "staffefforttable"
     "tabularnewline"
     "hline"
     "act"
     "pause")
    (TeX-run-style-hooks
     "hyperref"
     "eurosym"
     "array"
     "keyval"
     "svninfo"
     "today"
     "fancyhdr"
     "ed"
     "show"
     "xcolor"
     "colortbl"
     "calc"
     "graphicx"
     "longtable"
     "lscape"
     "url"
     "amssymb"
     "textcomp"
     "rep10"
     "report"
     "a4paper")))

