(TeX-add-style-hook "frenchle"
 (lambda ()
    (LaTeX-add-index-entries
     "\\bgroup\\ifFrench\\@DFP\\fi%
                       \\expandafter\\egroup\\@iORI"
     "\\@ifnextchar[{\\f@index}%
                                      {\\f@index@}%
                        ")
    (LaTeX-add-environments
     "english"
     "french"
     "nonfrench"
     "table"
     "figure")
    (TeX-add-symbols
     "endletter"
     "enddocument"
     "enddocumentasusual"
     "nombre"
     "Declare"
     "begin"
     "end"
     "frenchname"
     "frenchpack"
     "auxWARNINGi"
     "resetat"
     "FSfv"
     "usualmessages"
     "kbtypeout"
     "ifEightBitOutput"
     "addto"
     "fraddto"
     "MakeRobustCommand"
     "DocInput"
     "url"
     "xy"
     "listing"
     "lstlisting"
     "CheckSevenBits"
     "tt"
     "regularmathcomma"
     "nofrenchmacros"
     "frenchmacros"
     "automaticlettrine"
     "noautomaticlettrine"
     "everyparguillemets"
     "NouveauLangage"
     "letpunctutionactivefor"
     "ifarticle"
     "shipout"
     "iffrenchbibliography"
     "WindowsUnits"
     "FileName"
     "og"
     "fg"
     "FrenchGuillemetsFrom"
     "CyrillicGuillemets"
     "PolishGuillemets"
     "LasyGuillemets"
     "xspace"
     "kbIO"
     "c"
     "protect"
     "frenchhyphenation"
     "allowhyphens"
     "accenthyphcodes"
     "nofrenchhyphenation"
     "showhyphens"
     "lowercase"
     "frenchmathcomma"
     "nofrenchtypography"
     "frenchtypography"
     "nofrenchtranslation"
     "frenchtranslation"
     "frenchguillemets"
     "nofrenchguillemets"
     "frenchbguillemets"
     "nofrenchbguillemets"
     "ifbbbbfixlanguage"
     "ConstantLayout"
     "nofrenchlayout"
     "frenchlayout"
     "frenchwarnings"
     "nofrenchwarnings"
     "ifFW"
     "frenchspacing"
     "dGs"
     "newcount"
     "newdimen"
     "newbox"
     "reftextpagerange"
     "special"
     "pmfrench"
     "noeveryparguillemets"
     "RSsmallest"
     "footnotesize"
     "Huge"
     "noresetatpart"
     "noresetatchapter"
     "quotation"
     "contentslineORI"
     "atgG"
     "atgH"
     "atgM"
     "atgN"
     "ifthenelse"
     "bibitem"
     "pageref"
     "maketitle"
     "ifCG"
     "addcontentsline"
     "topsep"
     "partopsep"
     "itemsep"
     "parsep"
     "list"
     "captionlabelfont"
     "captionfont"
     "captionlabeldelim"
     "captionseparator"
     "thanks"
     "mboxORI"
     "mbox"
     "footnote"
     "thempfn"
     "caption"
     "ifMOVING"
     "pdfstringdef"
     "hyphex"
     "frhyphex"
     "ifFTY"
     "ifFTR"
     "ifFLA"
     "ifFMA"
     "ifFH"
     "TeXeverypar"
     "beginL"
     "beginR"
     "ErrFrench"
     "ifCLAfrench"
     "clearpage"
     "unnumberedcaptions"
     "ifCLAenglish"
     "ifCLA"
     "dateenglish"
     "extrasenglish"
     "englishORI"
     "noextrasenglish"
     "ifnonenglishheadings"
     "datefrench"
     "todayfrench"
     "ier"
     "ordinalSecondNam"
     "ordinalSecondName"
     "ordinal"
     "ordinale"
     "Ordinal"
     "Ordinale"
     "captionsfrench"
     "pagename"
     "refname"
     "abstractname"
     "bibname"
     "contentsname"
     "listfigurename"
     "listtablename"
     "listalgorithmname"
     "indexname"
     "seename"
     "seealsoname"
     "figurename"
     "tablename"
     "sommairename"
     "partname"
     "glossaryname"
     "kwname"
     "draftname"
     "prefacename"
     "proofname"
     "thepart"
     "headtoname"
     "ccname"
     "enclname"
     "PSname"
     "Objectname"
     "YourRefname"
     "OurRefname"
     "emailname"
     "slidename"
     "listslidename"
     "notesname"
     "chaptername"
     "appendixname"
     "captionsnames"
     "today"
     "frenchtrivsepwarnings"
     "nofrenchtrivsepwarnings"
     "ifFTSW"
     "frtrivseplengths"
     "frenchtrivsep"
     "nofrenchtrivsep"
     "frlabelitems"
     "indentfirst"
     "nonindentfirst"
     "emailadd"
     "opening"
     "nopagenumbers"
     "fromaddress"
     "closing"
     "fclosing"
     "nofrenchpagestyle"
     "frenchpagestyle"
     "secdef"
     "nobeginingfolio"
     "beginingfolio"
     "AFPinfsup"
     "AFPq"
     "AFPdq"
     "dospecials"
     "DFPq"
     "DFPinfsup"
     "DFPdp"
     "DFPdq"
     "ifWTS"
     "hhline"
     "AFPdp"
     "ifLPA"
     "ifArG"
     "noexpand"
     "eqnarray"
     "ifNED"
     "ifNEQ"
     "untypedspaces"
     "typedspaces"
     "ifUSP"
     "ifFG"
     "extrasfrench"
     "label"
     "switchtolanguage"
     "ifFrench"
     "noextrasfrench"
     "ORIGfrench"
     "hyphenation"
     "vert"
     "languagename"
     "beginlanguage"
     "GOfrench")
    (TeX-run-style-hooks
     "babel")))

