(TeX-add-style-hook "gaceta"
 (lambda ()
    (LaTeX-add-environments
     '("olimpicproblem" 1)
     '("solution" 1)
     '("problem" 2)
     "pseudotheorem"
     "block"
     "explanation"
     "comment"
     "alsosolved"
     "thebibliography")
    (LaTeX-add-labels
     "LastPage")
    (TeX-add-symbols
     "enddocument"
     "endorigdocument"
     '("belongstopart" ["argument"] 1)
     '("semisection" 1)
     '("solutionwithwrapfigure" 1)
     '("problemwithwrapfigure" 2)
     '("contact" 3)
     "captionmargin"
     "forcedcaptionmargin"
     "printcontact"
     "makelastpage"
     "makefirstpageoffixedsection"
     "makefirstpageofarticle"
     "makestandardpage"
     "makesemititle"
     "es"
     "journame"
     "thejourname"
     "yearofpublication"
     "theyearofpublication"
     "volume"
     "thevolume"
     "issuenumber"
     "theissuenumber"
     "shortjourname"
     "theshortjourname"
     "pseudotheoremfont"
     "pseudocaption"
     "emailname"
     "webname"
     "contacturl"
     "contactalert"
     "provisional"
     "theprovisional"
     "finalpage"
     "finalpageinfixedsectionhead"
     "leftheading"
     "shorttitle"
     "shortsupertitle"
     "theshortleftheading"
     "shortfixedsectiontitle"
     "partalert"
     "nopart"
     "thegacetapart"
     "sectionmark"
     "subsectionmark"
     "originalPaperPages"
     "theoriginalPaperPages"
     "modifiedPaperInfo"
     "themodifiedPaperInfo"
     "modifiedPaper"
     "FloatBarrier"
     "separation"
     "porname"
     "acargoname"
     "goodbreaksecondsemititle"
     "previousvspace"
     "noeditor"
     "makefixedsectiontitle"
     "theleftheading"
     "fixedsectiontitle"
     "fixedsectioneditor"
     "supertitle"
     "editor"
     "makesupertitle"
     "problemname"
     "proposedbyname"
     "commentname"
     "olimpicproblemname"
     "inf")
    (TeX-run-style-hooks
     "amssymb"
     "amsthm"
     "amsmath"
     "url"
     "graphicx"
     "babel"
     "spanish"
     "geometry"
     "art10"
     "article")))

