(TeX-add-style-hook "glossaries"
 (lambda ()
    (LaTeX-add-environments
     "theglossary")
    (TeX-add-symbols
     '("ACRfullpl" ["argument"] 1)
     '("Acrfullpl" ["argument"] 1)
     '("acrfullpl" ["argument"] 1)
     '("ACRfull" ["argument"] 1)
     '("Acrfull" ["argument"] 1)
     '("acrfull" ["argument"] 1)
     '("ACRlongpl" ["argument"] 1)
     '("Acrlongpl" ["argument"] 1)
     '("acrlongpl" ["argument"] 1)
     '("ACRlong" ["argument"] 1)
     '("Acrlong" ["argument"] 1)
     '("acrlong" ["argument"] 1)
     '("ACRshortpl" ["argument"] 1)
     '("Acrshortpl" ["argument"] 1)
     '("acrshortpl" ["argument"] 1)
     '("ACRshort" ["argument"] 1)
     '("Acrshort" ["argument"] 1)
     '("acrshort" ["argument"] 1)
     '("oldacronym" ["argument"] 3)
     '("newacronym" ["argument"] 3)
     '("printglossary" ["argument"] 0)
     '("glsseeformat" ["argument"] 2)
     '("glssee" ["argument"] 2)
     '("glsaddall" ["argument"] 0)
     '("glsadd" ["argument"] 1)
     '("glshyperlink" ["argument"] 1)
     '("defglsdisplayfirst" ["argument"] 1)
     '("defglsdisplay" ["argument"] 1)
     '("loadglsentries" ["argument"] 1)
     '("glslocalunsetall" ["argument"] 0)
     '("glsunsetall" ["argument"] 0)
     '("glslocalresetall" ["argument"] 0)
     '("glsresetall" ["argument"] 0)
     '("newglossary" ["argument"] 4)
     '("forallglsentries" ["argument"] 2)
     '("forglsentries" ["argument"] 2)
     '("forallglossaries" ["argument"] 2)
     '("GlsSetXdyLanguage" ["argument"] 1)
     '("glossarysection" ["argument"] 1)
     '("acrnameformat" 2)
     '("firstacronymfont" 1)
     '("acronymfont" 1)
     '("hyperemph" 1)
     '("hypersc" 1)
     '("hyperup" 1)
     '("hypersl" 1)
     '("hyperit" 1)
     '("hypermd" 1)
     '("hyperbf" 1)
     '("hypertt" 1)
     '("hypersf" 1)
     '("hyperrm" 1)
     '("glsnamefont" 1)
     '("newglossarystyle" 2)
     '("glossarystyle" 1)
     '("setentrycounter" 1)
     '("glsgetgrouplabel" 1)
     '("glsgetgrouptitle" 1)
     '("glsgroupheading" 1)
     '("glossarysubentryfield" 6)
     '("glossaryentryfield" 5)
     '("glstarget" 2)
     '("glsseeitem" 1)
     '("glsseelist" 1)
     '("GlsSetXdyMinRangeLength" 1)
     '("GlsSetXdyFirstLetterAfterDigits" 1)
     '("glsentrysort" 1)
     '("glsentrytype" 1)
     '("Glsentryfirstplural" 1)
     '("glsentryfirstplural" 1)
     '("Glsentryfirst" 1)
     '("glsentryfirst" 1)
     '("Glsentrysymbolplural" 1)
     '("glsentrysymbolplural" 1)
     '("Glsentrysymbol" 1)
     '("glsentrysymbol" 1)
     '("Glsentryplural" 1)
     '("glsentryplural" 1)
     '("Glsentrytext" 1)
     '("glsentrytext" 1)
     '("Glsentrydescplural" 1)
     '("glsentrydescplural" 1)
     '("Glsentrydesc" 1)
     '("glsentrydesc" 1)
     '("Glsentryname" 1)
     '("glsentryname" 1)
     '("glsdisplay" 4)
     '("glsdisplayfirst" 4)
     '("glstextformat" 1)
     '("glslocalunset" 1)
     '("glsunset" 1)
     '("glslocalreset" 1)
     '("glsreset" 1)
     '("newglossaryentry" 2)
     '("glsdoifnoexists" 2)
     '("glsdoifexists" 2)
     '("ifglsused" 3)
     '("ifglsentryexists" 3)
     '("ifglossaryexists" 3)
     '("GlsAddLetterGroup" 2)
     '("GlsSetXdyCodePage" 1)
     '("GlsSetXdyStyles" 1)
     '("GlsAddXdyStyle" 1)
     '("GlsAddSortRule" 2)
     '("GlsSetXdyLocationClassOrder" 1)
     '("GlsAddXdyLocation" 2)
     '("GlsAddXdyAlphabet" 2)
     '("GlsAddXdyAttribute" 1)
     '("glsnoxindywarning" 1)
     '("setglossarysection" 1)
     '("glossarymark" 1)
     '("glsnumberformat" 1)
     '("glsSetSuffixFF" 1)
     '("glsSetSuffixF" 1)
     '("glsSetAlphaCompositor" 1)
     '("glsSetCompositor" 1)
     '("setStyleFile" 1)
     '("glssettoctitle" 1)
     '("GlossariesWarningNoLine" 1)
     '("GlossariesWarning" 1)
     '("glossaryentrynumbers" 1)
     "glsautoprefix"
     "glsdefmain"
     "acronymtype"
     "glscounter"
     "glossaryname"
     "acronymname"
     "entryname"
     "descriptionname"
     "symbolname"
     "pagelistname"
     "glssymbolsgroupname"
     "glsnumbersgroupname"
     "glspluralsuffix"
     "seename"
     "andname"
     "glspar"
     "glscompositor"
     "gls"
     "delimN"
     "delimR"
     "glossarypreamble"
     "glossarypostamble"
     "glsclearpage"
     "glslink"
     "glsdisablehyper"
     "glsenablehyper"
     "Gls"
     "GLS"
     "glspl"
     "Glspl"
     "GLSpl"
     "glsdisp"
     "glstext"
     "GLStext"
     "Glstext"
     "glsfirst"
     "Glsfirst"
     "GLSfirst"
     "glsplural"
     "Glsplural"
     "GLSplural"
     "glsfirstplural"
     "Glsfirstplural"
     "GLSfirstplural"
     "glsname"
     "Glsname"
     "GLSname"
     "glsdesc"
     "Glsdesc"
     "GLSdesc"
     "glsdescplural"
     "Glsdescplural"
     "GLSdescplural"
     "glssymbol"
     "Glssymbol"
     "GLSsymbol"
     "glssymbolplural"
     "Glssymbolplural"
     "GLSsymbolplural"
     "noist"
     "warn"
     "glsseelastsep"
     "glsseesep"
     "printglossaries"
     "glsresetentrylist"
     "glossaryheader"
     "glsgroupskip"
     "acrpluralsuffix"
     "glsorder"
     "glspostdescription"
     "istfilename"
     "NeedsTeXFormat"
     "ProvidesPackage"
     "LdfInit"
     "languageattribute"
     "DeclareOption"
     "input"
     "stripldf"
     "findrootlanguage"
     "rootlanguagename"
     "glsdefaulttype"
     "glslabel"
     "noexpand"
     "writeist"
     "makeglossaries"
     "makeglossary"
     "printglossary"
     "glsnonextpages"
     "nopostdesc"
     "glossarytitle"
     "glossarytoctitle"
     "glossaryentrynumbers"
     "glsentrycounter"
     "glshypernumber"
     "glsshortkey"
     "glsshortpluralkey"
     "glslongkey"
     "glslongpluralkey"
     "acs"
     "Acs"
     "acsp"
     "Acsp"
     "acl"
     "aclp"
     "Acl"
     "Aclp"
     "acf"
     "acfp"
     "Acf"
     "Acfp"
     "ac"
     "Ac"
     "acp"
     "Acp")
    (TeX-run-style-hooks
     "glossary-hypernav"
     "glossaries-babel"
     "translator"
     "glossary-tree"
     "glossary-list"
     "glossary-super"
     "glossary-long"
     "amsgen"
     "xfor"
     "mfirstuc"
     "xkeyval"
     "ifthen")))

