(TeX-add-style-hook "hepnicenames"
 (lambda ()
    (TeX-add-symbols
     "PBplus"
     "PBminus"
     "PBzero"
     "PBd"
     "PBu"
     "PBc"
     "PBs"
     "APB"
     "APBzero"
     "APBd"
     "APBu"
     "APBc"
     "APBs"
     "PKplus"
     "PKminus"
     "PKzero"
     "PKshort"
     "PKs"
     "PKlong"
     "PKl"
     "PKstar"
     "APK"
     "APKzero"
     "Pphoton"
     "Pgluon"
     "PWplus"
     "PWminus"
     "PWprime"
     "PZzero"
     "PZprime"
     "Paxion"
     "Plepton"
     "Pleptonpm"
     "Pleptonmp"
     "Pleptonplus"
     "Pleptonminus"
     "APlepton"
     "Pnu"
     "APnu"
     "Pneutrino"
     "APneutrino"
     "Pnulepton"
     "APnulepton"
     "Pelectron"
     "APelectron"
     "Ppositron"
     "APpositron"
     "Pmu"
     "Pmupm"
     "Pmump"
     "Pmuon"
     "APmuon"
     "Ptau"
     "Ptaupm"
     "Ptaump"
     "Ptauon"
     "APtauon"
     "Pnue"
     "Pnum"
     "Pnut"
     "APnue"
     "APnum"
     "APnut"
     "Pquark"
     "APquark"
     "Pdown"
     "Pup"
     "Pstrange"
     "Pcharm"
     "Pbottom"
     "Pbeauty"
     "Ptop"
     "Ptruth"
     "APdown"
     "APqd"
     "APup"
     "APqu"
     "APstrange"
     "APqs"
     "APcharm"
     "APqc"
     "APbottom"
     "APbeauty"
     "APqb"
     "APtop"
     "APtruth"
     "APqt"
     "Pproton"
     "Pneutron"
     "APproton"
     "APneutron"
     "PLambda"
     "APLambda"
     "PLambdac"
     "PLambdab"
     "POmega"
     "POmegapm"
     "POmegamp"
     "POmegaplus"
     "POmegaminus"
     "APOmega"
     "APOmegaplus"
     "APOmegaminus"
     "PSigma"
     "PSigmapm"
     "PSigmamp"
     "PSigmaminus"
     "PSigmaplus"
     "PSigmazero"
     "PSigmac"
     "APSigmaminus"
     "APSigmaplus"
     "APSigmazero"
     "APSigmac"
     "PUpsilon"
     "PUpsilonOneS"
     "PUpsilonTwoS"
     "PUpsilonThreeS"
     "PUpsilonFourS"
     "PXi"
     "PXiplus"
     "PXiminus"
     "PXizero"
     "APXiplus"
     "APXiminus"
     "APXizero"
     "PXicplus"
     "PXiczero"
     "Pphi"
     "Peta"
     "Petaprime"
     "Petac"
     "Pomega"
     "Ppi"
     "Ppipm"
     "Ppimp"
     "Ppiplus"
     "Ppiminus"
     "Ppizero"
     "Prho"
     "Prhoplus"
     "Prhominus"
     "Prhopm"
     "Prhomp"
     "Prhozero"
     "PJpsi"
     "PJpsiOneS"
     "Ppsi"
     "PpsiTwoS"
     "PDzero"
     "PDminus"
     "PDplus"
     "PDstar"
     "APD"
     "APDzero"
     "PDs"
     "PDsminus"
     "PDsplus"
     "PDspm"
     "PDsmp"
     "PDsstar"
     "PHiggs"
     "PHiggsheavy"
     "PHiggslight"
     "PHiggsheavyzero"
     "PHiggslightzero"
     "PHiggsps"
     "PHiggspszero"
     "PHiggsplus"
     "PHiggsminus"
     "PHiggspm"
     "PHiggsmp"
     "PHiggszero"
     "PSHiggs"
     "PSHiggsino"
     "PSHiggsplus"
     "PSHiggsinoplus"
     "PSHiggsminus"
     "PSHiggsinominus"
     "PSHiggspm"
     "PSHiggsinopm"
     "PSHiggsmp"
     "PSHiggsinomp"
     "PSHiggszero"
     "PSHiggsinozero"
     "PSBino"
     "PSWplus"
     "PSWminus"
     "PSWino"
     "PSWinopm"
     "PSWinomp"
     "PSZzero"
     "PSphoton"
     "PSphotino"
     "Pphotino"
     "PSmu"
     "PSnu"
     "PStau"
     "PSino"
     "PScharginopm"
     "PScharginomp"
     "PSneutralino"
     "PSneutralinoOne"
     "PSneutralinoTwo"
     "PSgluino"
     "PSlepton"
     "Pslepton"
     "APSlepton"
     "APslepton"
     "Psquark"
     "APSq"
     "APsquark"
     "PSdown"
     "PSup"
     "PSstrange"
     "PScharm"
     "PSbottom"
     "PStop"
     "PASdown"
     "PASup"
     "PASstrange"
     "PAScharm"
     "PASbottom"
     "PAStop"
     "eplus"
     "eminus")
    (TeX-run-style-hooks
     "heppennames")))

