(TeX-add-style-hook "isodoc"
 (lambda ()
    (TeX-add-symbols
     '("letter" ["argument"] 1)
     '("invoice" ["argument"] 1)
     '("setupdocument" 1)
     "yfold"
     "closingskip"
     "ocrb"
     "acceptreferenceskip"
     "myoutdent"
     "signskip"
     "mydown"
     "zippedcity"
     "logo"
     "footcount"
     "Undefined"
     "fontpackage"
     "company"
     "logoaddress"
     "who"
     "street"
     "city"
     "country"
     "countrycode"
     "zip"
     "prezip"
     "xaddress"
     "addresscenter"
     "processto"
     "xproc"
     "toname"
     "yproc"
     "toaddress"
     "areacode"
     "phone"
     "phoneprefix"
     "cellphone"
     "fax"
     "website"
     "email"
     "lead"
     "ourref"
     "yourref"
     "yourletter"
     "subject"
     "checkdigit"
     "newdate"
     "wybo"
     "setdate"
     "openingcomma"
     "opening"
     "closing"
     "autographversion"
     "signature"
     "enclosures"
     "term"
     "accountno"
     "routingno"
     "accountname"
     "iban"
     "bic"
     "vatno"
     "chamber"
     "currency"
     "accepttype"
     "acceptaccount"
     "acceptaddress"
     "acceptcents"
     "acceptdescription"
     "acceptdesc"
     "accepteuros"
     "acceptreference"
     "xacceptdescription"
     "yacceptdescription"
     "wacceptdescription"
     "xacceptref"
     "yacceptref"
     "wacceptref"
     "xaccepteuros"
     "yaccepteuros"
     "waccepteuros"
     "xacceptcents"
     "yacceptcents"
     "wacceptcents"
     "xacceptreference"
     "yacceptreference"
     "wacceptreference"
     "xaccepteur"
     "yaccepteur"
     "waccepteur"
     "xacceptct"
     "yacceptct"
     "wacceptct"
     "xacceptaccount"
     "yacceptaccount"
     "wacceptaccount"
     "xacceptdesc"
     "yacceptdesc"
     "wacceptdesc"
     "xacceptaddress"
     "yacceptaddress"
     "wacceptaddress"
     "autograph"
     "temp"
     "returnaddress"
     "footfield"
     "accountdata"
     "showkeys"
     "itable"
     "iitem"
     "itotal"
     "barsep"
     "Cbox"
     "Tbox"
     "accept"
     "dutchdoc"
     "englishdoc"
     "americandoc"
     "germandoc"
     "routingnotext"
     "frenchdoc"
     "norskdoc"
     "yourlettertext"
     "yourreftext"
     "ourreftext"
     "datetext"
     "totext"
     "pagetext"
     "oftext"
     "date"
     "subjecttext"
     "ccname"
     "enclosuretext"
     "enclosurestext"
     "faxtext"
     "websitetext"
     "emailtext"
     "phonetext"
     "cellphonetext"
     "invoicetext"
     "descriptiontext"
     "amounttext"
     "accountdatatext"
     "termtext"
     "daystext"
     "accountnotext"
     "accountnametext"
     "referencetext"
     "chambertext"
     "vatnotext"
     "Vattext"
     "Totaltext")
    (TeX-run-style-hooks
     "hyperref"
     "fontenc"
     "T1"
     "fancyhdr"
     "textpos"
     "absolute"
     "overlay"
     "babel"
     "dutch"
     "german"
     "french"
     "american"
     "english"
     "graphicx"
     "marvosym"
     "ctable"
     "art10"
     "article")))

