(TeX-add-style-hook "jpsj2"
 (lambda ()
    (LaTeX-add-environments
     "fulltabular"
     "halftabular"
     "tabular"
     "thebibliography"
     "verse"
     "quotation"
     "quote"
     "description"
     "figure"
     "table"
     "halffigure"
     "fullfigure"
     "halftable"
     "fulltable")
    (LaTeX-add-labels
     "lastpage")
    (TeX-add-symbols
     "enddocument"
     '("descriptionlabel" 1)
     '("mib" 1)
     '("mbi" 1)
     "rm"
     "sf"
     "tt"
     "bf"
     "it"
     "sl"
     "sc"
     "cal"
     "mit"
     "degC"
     "abstsize"
     "small"
     "footnotesize"
     "scriptsize"
     "tiny"
     "large"
     "Large"
     "LARGE"
     "huge"
     "Huge"
     "titlesize"
     "section"
     "subsection"
     "subsubsection"
     "paragraph"
     "subparagraph"
     "refname"
     "figurename"
     "tablename"
     "appendixname"
     "halfflag"
     "acknowledgement"
     "acknowledgements"
     "acknowledgment"
     "acknowledgments"
     "balancecolumns"
     "global"
     "newlabel"
     "bibcite"
     "jpage"
     "runtitle"
     "runauthor"
     "pvol"
     "pyear"
     "makefigurecaptions"
     "makelabel"
     "thecaption"
     "thanks"
     "maketitle"
     "title"
     "author"
     "abst"
     "inst"
     "kword"
     "recdate"
     "origin"
     "today"
     "getappendix"
     "appendix"
     "sectiona"
     "thetable"
     "thefigure"
     "theequation"
     "thesection"
     "thesubsection")
    (TeX-run-style-hooks
     "overcite"
     "graphicx"
     "amssymb"
     "amsmath")))

