(TeX-add-style-hook "jurabook"
 (lambda ()
    (LaTeX-add-index-entries
     "#1"
     "#1|textit"
     "#1|textbf")
    (LaTeX-add-environments
     "decisionlist")
    (LaTeX-add-labels
     "#1")
    (TeX-add-symbols
     '("shortpage" ["argument"] 0)
     '("longpage" ["argument"] 0)
     '("citewebx" ["argument"] 2)
     '("sub" ["argument"] 1)
     '("toc" ["argument"] 1)
     '("setchaptername" ["argument"] 1)
     '("extrarn" ["argument"] 1)
     '("rn" ["argument"] 1)
     '("dumpoptions" ["argument"] 0)
     '("decisionentry" 2)
     '("lowcontentslinex" 3)
     '("lowcontentsline" 3)
     '("addextrawebcite" 1)
     '("newindexletter" 1)
     '("seealso" 2)
     '("MIndex" 1)
     '("findex" 1)
     '("FIndex" 1)
     '("Index" 1)
     '("xref" 1)
     '("TODO" 1)
     '("autornref" 1)
     '("rnrefff" 1)
     '("rnreff" 1)
     '("rnref" 1)
     '("setmaketime" 1)
     '("officaltitle" 1)
     '("setjbooktext" 2)
     '("setjbooklength" 2)
     '("setjbookstyle" 2)
     '("urldef" 2)
     '("url" 1)
     "jurabookversion"
     "jurabookdate"
     "jubo"
     "jb"
     "Kickst"
     "firstexaminername"
     "secondexaminername"
     "onehalfspacing"
     "onespacing"
     "SetJuboPagestyle"
     "jp"
     "dnrefname"
     "uprefname"
     "overview"
     "chapterextra"
     "make"
     "chapterstartspace"
     "changestarchapters"
     "resetstarchapters"
     "appendixchapter"
     "lonelyappendixchapter"
     "subthreesection"
     "subfoursection"
     "subfivesection"
     "subsixsection"
     "subsevensection"
     "subeightsection"
     "levelup"
     "leveldown"
     "chapterlevel"
     "l"
     "findexproofmode"
     "combinemarks"
     "bibtotoc"
     "nomencltotoc"
     "citeweb"
     "tableofwebcites"
     "dcs"
     "decision"
     "decree"
     "notyet"
     "newcourt"
     "subauthor"
     "footnotesize"
     "footnoterule"
     "thanks"
     "maketitle"
     "title"
     "author"
     "date"
     "and"
     "subtitle"
     "publishinfo"
     "birthplace"
     "publishplace"
     "publishyear"
     "firstexaminer"
     "secondexaminer"
     "examdate"
     "fussnote"
     "subsectionmark"
     "chaptermark"
     "sectionmark"
     "chapter"
     "hnewline"
     "subthreesectionmark"
     "subsubsubsection"
     "subfoursectionmark"
     "subsubsubsubsection"
     "subfivesectionmark"
     "subsubsubsubsubsection"
     "subsixsectionmark"
     "subsubsubsubsubsubsection"
     "subsevensectionmark"
     "subsubsubsubsubsubsubsection"
     "subeightsectionmark"
     "subsubsubsubsubsubsubsubsection"
     "paragraphmark"
     "item"
     "makelabel")
    (TeX-run-style-hooks
     "ifpdf"
     "bk10"
     "book"
     "ragged2e"
     "multicol"
     "fancyhdr"
     "remreset"
     "jurabase")))

