(TeX-add-style-hook "kluwer"
 (lambda ()
    (LaTeX-add-environments
     "subequation"
     "varequation"
     "kaprotate"
     "subfigure"
     "subtable"
     "algorithm"
     "figure"
     "table"
     "TABULAR"
     "array"
     "tabular"
     "motto"
     "opening"
     "acknowledgements"
     "frontmatter"
     "quote"
     "quotation"
     "verse"
     "itemize"
     "enumerate"
     "kluverbatim"
     '("thebibliography" 1)
     "description"
     "notes"
     "vitae"
     "ao"
     "thenomenclature"
     "abstract"
     "article"
     "pf"
     "thm"
     "cor"
     "lem"
     "claim"
     "conj"
     "prop"
     "exer"
     "REM"
     "prob"
     "alg"
     "defn"
     "exmp"
     "theindex")
    (TeX-add-symbols
     "endnoteheading"
     "endnotetext"
     "endnotemark"
     "endnote"
     "endnoteformat"
     "endnotesize"
     '("SPcase" 1)
     '("SPhang" 1)
     '("Pcase" 1)
     '("Phang" 1)
     '("SSScase" 1)
     '("SSShang" 1)
     '("SScase" 1)
     '("SShang" 1)
     '("Scase" 1)
     '("Shang" 1)
     '("Forcedhang" 1)
     '("vsecspace" 1)
     '("Ccase" 1)
     '("Chang" 1)
     '("lastpage" 1)
     '("firstpage" 1)
     '("pubyear" 1)
     '("volume" 1)
     '("country" 1)
     '("crightB" 1)
     '("crightA" 1)
     '("spectexttwo" 1)
     '("spectextone" 1)
     '("nmc" 1)
     '("Vauthor" 1)
     '("dummy" 1)
     '("down" 1)
     '("Res" 1)
     '("bigo" 1)
     '("mapdown" 1)
     '("mapright" 1)
     "smallmsa"
     "iduaal"
     "rrestrict"
     "restrict"
     "concat"
     "lh"
     "depth"
     "dom"
     "range"
     "dC"
     "dL"
     "dE"
     "dF"
     "dP"
     "dN"
     "dR"
     "dZ"
     "dQ"
     "nequiv"
     "lsim"
     "gsim"
     "logr"
     "grlo"
     "oast"
     "res"
     "dres"
     "mc"
     "genacc"
     "BlackBox"
     "EmptyBox"
     "HstripeBox"
     "VstripeBox"
     "LstripeBox"
     "RstripeBox"
     "UpCrossBox"
     "DiagCrossBox"
     "tracingkluwer"
     "small"
     "footnotesize"
     "scriptsize"
     "little"
     "tiny"
     "large"
     "Large"
     "LARGE"
     "huge"
     "Huge"
     "make"
     "offprintsaddress"
     "splitnomen"
     "abstractname"
     "keywordsname"
     "abbreviationsname"
     "nomenclaturename"
     "copyrightowner"
     "barcodefont"
     "maxfloatwidth"
     "floatindent"
     "captionskip"
     "captionindent"
     "rotdimen"
     "endnotesep"
     "redot"
     "releft"
     "reright"
     "eqnoindent"
     "mathindent"
     "theoremsep"
     "dispsep"
     "part"
     "chapter"
     "Cspaceabove"
     "Cspaceafter"
     "Cflushstyle"
     "Cnumstyle"
     "Ctextstyle"
     "chapterdot"
     "section"
     "Sflushstyle"
     "Snumstyle"
     "Stextstyle"
     "Sspaceabove"
     "Sspaceafter"
     "sectiondot"
     "subsection"
     "SSflushstyle"
     "SSnumstyle"
     "SStextstyle"
     "SSspaceabove"
     "SSspaceafter"
     "subsubsection"
     "SSSflushstyle"
     "SSSnumstyle"
     "SSStextstyle"
     "SSSspaceabove"
     "SSSspaceafter"
     "paragraph"
     "Pspaceabove"
     "Pflushstyle"
     "Pnumstyle"
     "Ptextstyle"
     "Pspaceafter"
     "subparagraph"
     "SPspaceabove"
     "SPflushstyle"
     "SPnumstyle"
     "SPtextstyle"
     "SPspaceafter"
     "appendix"
     "rm"
     "sf"
     "tt"
     "bf"
     "it"
     "sl"
     "sc"
     "cal"
     "pcal"
     "mit"
     "pmit"
     "kluclassname"
     "kluclassversion"
     "klujnlname"
     "AtEndKluMath"
     "I"
     "forces"
     "diamond"
     "today"
     "TODAY"
     "timenow"
     "numtoword"
     "NUMTOWORD"
     "ifempty"
     "inner"
     "ifdef"
     "nosw"
     "yessw"
     "onestep"
     "subspitem"
     "spitem"
     "scan"
     "aux"
     "genaccent"
     "cb"
     "nbox"
     "charkerncharspace"
     "charkernwordspace"
     "charkerncommand"
     "charkern"
     "test"
     "iterate"
     "kludebug"
     "descriptionlabel"
     "kapenumargs"
     "kapitemargs"
     "quoteskip"
     "vitaename"
     "multiplevitaename"
     "acknowledgementsname"
     "title"
     "author"
     "date"
     "arttype"
     "subtitle"
     "dedication"
     "translation"
     "received"
     "orf"
     "accepted"
     "revised"
     "institute"
     "nodagger"
     "authorsize"
     "authorcase"
     "authorindent"
     "afterallauthorsskip"
     "afterauthorskip"
     "institutesize"
     "institutecase"
     "instituteindent"
     "institutesep"
     "authorand"
     "titleflushstyle"
     "titlefont"
     "titlecase"
     "titleindent"
     "aftertitleskip"
     "presubtitleskip"
     "aftersubtitleskip"
     "subtitlefont"
     "subtitleflushstyle"
     "titlebaselinefactor"
     "fn"
     "afterdateskip"
     "datesize"
     "artsize"
     "afterartskip"
     "beforeartskip"
     "dedicationsize"
     "prededicationskip"
     "afterdedicationskip"
     "translationsize"
     "pretranslationskip"
     "aftertranslationskip"
     "abstractsize"
     "abstractnamefont"
     "abstractdot"
     "keynamefont"
     "nomennamefont"
     "abbrevnamefont"
     "classnamefont"
     "afterabstractskip"
     "preabstractskip"
     "keywords"
     "abbrev"
     "abbreviations"
     "nomen"
     "nomenclature"
     "classification"
     "poemmotto"
     "prosemotto"
     "openingflushstyle"
     "thefootnote"
     "thanks"
     "runningtitle"
     "runningauthor"
     "journaldata"
     "CLsize"
     "journalcode"
     "pagenumbering"
     "setlastpage"
     "writelastpage"
     "thepagerange"
     "textcopyright"
     "copyrightline"
     "volsep"
     "thejournal"
     "no"
     "crline"
     "thecopyright"
     "kaplogo"
     "editor"
     "idline"
     "myleftmark"
     "myrightmark"
     "subsectionmark"
     "chaptermark"
     "sectionmark"
     "theinheadpage"
     "ilabel"
     "iref"
     "ipageref"
     "label"
     "ref"
     "pageref"
     "barcode"
     "PIPSID"
     "hline"
     "savehline"
     "rcline"
     "lcline"
     "lrcline"
     "rlcline"
     "figtabdot"
     "tablename"
     "figurename"
     "algorithmname"
     "tabwidth"
     "indentedtabcaptions"
     "indentedfigcaptions"
     "indentedcaptions"
     "tabcapspace"
     "tabcapfont"
     "splitcaptions"
     "splittabcaptions"
     "splitfigcaptions"
     "tableindent"
     "tabfont"
     "tabnotemark"
     "thetabnote"
     "tabnote"
     "tabnotesep"
     "tabnotes"
     "caption"
     "figindent"
     "figcapfont"
     "centerline"
     "thealgorithm"
     "thetable"
     "thefigure"
     "rotstart"
     "rotfinish"
     "rotl"
     "rotr"
     "footnoterule"
     "theendnote"
     "notesname"
     "addtoendnotes"
     "theendnotes"
     "ETC"
     "bibwidthlabel"
     "newblock"
     "refname"
     "bibname"
     "coleft"
     "ccright"
     "oldcite"
     "numreferences"
     "makelabel"
     "namedreferences"
     "protect"
     "labelsepwidth"
     "cite"
     "shortcite"
     "citeauthor"
     "citeyear"
     "opencite"
     "inlinecite"
     "citeauthoryear"
     "varleqno"
     "varfleqn"
     "theequation"
     "thmdot"
     "dispdot"
     "newproof"
     "qed"
     "rmtheorem"
     "newdisplay"
     "partname"
     "Shaveatleast"
     "SShaveatleast"
     "SSShaveatleast"
     "contentsname"
     "listfigurename"
     "listtablename"
     "chaptername"
     "sectionname"
     "appendixname"
     "tableofcontents"
     "listoffigures"
     "listoftables"
     "item"
     "indexfont"
     "subitem"
     "subsubitem"
     "indexspace"
     "indexsep"
     "sectioncmd"
     "imarkboth"
     "Uppercase"
     "kapmathindent")
    (TeX-run-style-hooks
     "amssymb"
     "psamsfonts"
     "wasysym")))

