(TeX-add-style-hook "l3doc"
 (lambda ()
    (LaTeX-add-index-entries
     "TeX~and~LaTeX2e~commands\\actualchar
          \\string\\TeX{}~and~\\string\\LaTeXe{}~commands:\\levelchar
          #1\\actualchar{\\string\\ttfamily\\string\\bslash{}#1}"
     "
     #1\\actualchar{\\protect\\ttfamily#1} (option)
     \\encapchar usage
   "
     "
     options:\\levelchar#1\\actualchar{\\protect\\ttfamily#1}
     \\encapchar usage
   "
     "
    \\@gobble#1
    \\actualchar
    \\string\\verb\\quotechar*\\verbatimchar#1\\verbatimchar
    \\encapchar
    hdpgindex{\\thepage}{usage}
  ")
    (LaTeX-add-environments
     "verbatim"
     '("TemplateDescription" 2)
     '("TemplateInterfaceDescription" 1)
     "texnote"
     "documentation"
     "implementation"
     "arguments"
     "syntax"
     "InstanceDescription")
    (TeX-add-symbols
     '("DocInclude" 1)
     '("SpecialOptionIndex" 1)
     '("tn" 1)
     '("parg" 1)
     '("oarg" 1)
     '("marg" 1)
     "eTeX"
     "EnableDocumentation"
     "EnableImplementation"
     "DisableDocumentation"
     "DisableImplementation"
     "DescribeOption"
     "Describe"
     "manual"
     "TemplateArgument"
     "TemplateKey"
     "TemplateSemantics"
     "InstanceKey"
     "InstanceSemantics")
    (TeX-run-style-hooks
     "verbatim"
     "hypdoc"
     "textcomp"
     "lmodern"
     "fontenc"
     "T1"
     "underscore"
     "trace"
     "enumitem"
     "fixltx2e"
     "color"
     "alphalph"
     "array"
     "doc"
     "art10"
     "article"
     "a4paper"
     "expl3"
     "l3names"
     "l3vers")))

