(TeX-add-style-hook "ledmac"
 (lambda ()
    (LaTeX-add-environments
     "lock"
     "sub"
     "ledgroup"
     "ledgroupsized"
     "edarrayl"
     "edarrayc"
     "edarrayr"
     "edtabularl"
     "edtabularc"
     "edtabularr")
    (TeX-add-symbols
     "endstanzaextra"
     "endminipage"
     "endprint"
     "endashchar"
     "endnumbering"
     '("edatright" ["argument"] 2)
     '("edatleft" ["argument"] 2)
     '("nulledindex" ["argument"] 1)
     '("flagstanza" ["argument"] 1)
     '("edindex" ["argument"] 1)
     '("edatab" 1)
     '("spreadmath" 1)
     '("spreadtext" 1)
     '("ctabtext" 1)
     '("ctab" 1)
     '("ltabtext" 1)
     '("ltab" 1)
     '("measuretbody" 1)
     '("rtabtext" 1)
     '("measurembody" 1)
     '("rtab" 1)
     '("rightrtab" 2)
     '("rightltab" 2)
     '("rightctab" 2)
     '("leftctab" 2)
     '("leftrtab" 2)
     '("leftltab" 1)
     '("edrowfill" 3)
     '("edvertdots" 1)
     '("edvertline" 1)
     '("nulledindex" 1)
     '("xedlabel" 1)
     '("xedtext" 2)
     '("setstanzapenalties" 1)
     '("setstanzaindents" 1)
     '("setstanzavalues" 2)
     '("edindex" 1)
     '("addfootinsX" 1)
     '("mpfootnoteC" 1)
     '("footnoteC" 1)
     '("mpfootnoteB" 1)
     '("footnoteB" 1)
     '("parafootfmtX" 2)
     '("parafootstartX" 1)
     '("footparagraphX" 1)
     '("mpthreecolfootgroupX" 1)
     '("threecolfootgroupX" 1)
     '("threecolfootfmtX" 2)
     '("threecolvfootnoteX" 2)
     '("mpthreecolfootsetupX" 1)
     '("threecolfootsetupX" 1)
     '("footthreecolX" 1)
     '("mptwocolfootgroupX" 1)
     '("twocolfootgroupX" 1)
     '("twocolfootfmtX" 2)
     '("twocolvfootnoteX" 2)
     '("mptwocolfootsetupX" 1)
     '("twocolfootsetupX" 1)
     '("foottwocolX" 1)
     '("footnormalX" 1)
     '("vnumfootnoteX" 2)
     '("vbfnoteX" 3)
     '("normalbfnoteX" 2)
     '("mpnormalfootgroupX" 1)
     '("normalfootgroupX" 1)
     '("normalfootstartX" 1)
     '("normalfootfootmarkX" 1)
     '("normalfootfmtX" 2)
     '("mpnormalvfootnoteX" 2)
     '("normalvfootnoteX" 2)
     '("normalbodyfootmarkX" 1)
     '("mpfootnoteA" 1)
     '("footnoteA" 1)
     '("ledsidenote" 1)
     '("ledrightnote" 1)
     '("ledleftnote" 1)
     '("sidenotemargin" 1)
     '("doendnotes" 1)
     '("printnpnum" 1)
     '("setprintendlines" 6)
     '("Eendnote" 1)
     '("Dendnote" 1)
     '("Cendnote" 1)
     '("Bendnote" 1)
     '("Aendnote" 1)
     '("edmakelabel" 2)
     '("xxref" 2)
     '("xsublineref" 1)
     '("sublineref" 1)
     '("xlineref" 1)
     '("lineref" 1)
     '("xpageref" 1)
     '("edpageref" 1)
     '("edlabel" 1)
     '("addfootins" 1)
     '("mptwocolfootgroup" 1)
     '("mptwocolfootsetup" 1)
     '("twocolfootgroup" 1)
     '("twocolfootfmt" 3)
     '("twocolvfootnote" 2)
     '("twocolfootsetup" 1)
     '("foottwocol" 1)
     '("mpthreecolfootgroup" 1)
     '("threecolfootgroup" 1)
     '("threecolfootfmt" 3)
     '("threecolvfootnote" 2)
     '("mpthreecolfootsetup" 1)
     '("threecolfootsetup" 1)
     '("footthreecol" 1)
     '("rigidbalance" 3)
     '("parafootfmt" 3)
     '("interparanoteglue" 1)
     '("unvxh" 1)
     '("parafootstart" 1)
     '("footparagraph" 1)
     '("footnormal" 1)
     '("mpnormalfootgroup" 1)
     '("normalfootgroup" 1)
     '("normalfootstart" 1)
     '("setprintlines" 6)
     '("normalfootfmt" 3)
     '("mpnormalvfootnote" 2)
     '("normalvfootnote" 2)
     '("mpEfootnote" 1)
     '("mpDfootnote" 1)
     '("mpCfootnote" 1)
     '("mpBfootnote" 1)
     '("mpAfootnote" 1)
     '("Efootnote" 1)
     '("Dfootnote" 1)
     '("Cfootnote" 1)
     '("Bfootnote" 1)
     '("Afootnote" 1)
     '("linenum" 1)
     '("lemma" 1)
     '("edtext" 2)
     '("setlinenum" 1)
     '("setline" 1)
     '("advanceline" 1)
     '("sublinenumberstyle" 1)
     '("linenumberstyle" 1)
     '("sublockdisp" 1)
     '("lockdisp" 1)
     '("sublinenumincrement" 1)
     '("firstsublinenum" 1)
     '("linenumincrement" 1)
     '("firstlinenum" 1)
     '("linenummargin" 1)
     '("lineation" 1)
     '("showlemma" 1)
     "led"
     "beginnumbering"
     "initnumbering"
     "pausenumbering"
     "resumenumbering"
     "l"
     "numlabfont"
     "ledlinenum"
     "leftlinenum"
     "rightlinenum"
     "list"
     "read"
     "get"
     "fix"
     "page"
     "set"
     "skip"
     "n"
     "dummy"
     "line"
     "new"
     "flag"
     "skipnumbering"
     "no"
     "edfont"
     "pstart"
     "pend"
     "autopar"
     "normal"
     "getline"
     "affixline"
     "ch"
     "f"
     "pageparbreak"
     "add"
     "flush"
     "notefontsetup"
     "notenumfont"
     "footsplitskips"
     "ledsetnormalparstuff"
     "fullstop"
     "rbracket"
     "symplinenum"
     "ledfootinsdim"
     "footfudgefiddle"
     "para"
     "mppara"
     "makehboxofhboxes"
     "removehboxes"
     "dosplits"
     "splitoff"
     "advancepageno"
     "m"
     "doxtrafeetii"
     "doreinxtrafeetii"
     "zz"
     "noendnotes"
     "ledlsnotewidth"
     "ledrsnotewidth"
     "ledlsnotesep"
     "ledrsnotesep"
     "ledlsnotefontsetup"
     "ledrsnotefontsetup"
     "vl"
     "setl"
     "savel"
     "affixside"
     "multiplefootnotemarker"
     "multfootsep"
     "footfootmarkA"
     "prebodyfootmark"
     "postbodyfootmark"
     "doxtrafeeti"
     "doreinxtrafeeti"
     "pagelinesep"
     "edindexlab"
     "doedindexlabel"
     "thepageline"
     "addtol"
     "ampersand"
     "hilfsskip"
     "hilfscount"
     "dcoli"
     "dcolii"
     "dcoliii"
     "dcoliv"
     "dcolv"
     "dcolvi"
     "dcolvii"
     "dcolviii"
     "dcolix"
     "dcolx"
     "dcolxi"
     "dcolxii"
     "dcolxiii"
     "dcolxiv"
     "dcolxv"
     "dcolxvi"
     "dcolxvii"
     "dcolxviii"
     "dcolxix"
     "dcolxx"
     "dcolxxi"
     "dcolxxii"
     "dcolxxiii"
     "dcolxxiv"
     "dcolxxv"
     "dcolxxvi"
     "dcolxxvii"
     "dcolxxviii"
     "dcolxxix"
     "dcolxxx"
     "dcolerr"
     "stepl"
     "xedindex"
     "edtabcolsep"
     "variab"
     "letsforverteilen"
     "nullsetzen"
     "edfilldimen"
     "HILFSskip"
     "Hilfsskip"
     "EDTABINDENT"
     "edtabindent"
     "usingcritext"
     "usingedtext"
     "linenumberlist"
     "extensionchars"
     "linenumrep"
     "sublinenumrep"
     "rm"
     "it"
     "sl"
     "bf"
     "tt"
     "b"
     "c"
     "d"
     "t"
     "protect"
     "startsub"
     "startlock"
     "setline"
     "advanceline"
     "morenoexpands"
     "body"
     "printlines"
     "normalfootnoterule"
     "Aend"
     "Bend"
     "Cend"
     "Dend"
     "Eend"
     "printendlines"
     "normalfootnoteruleX"
     "footnoteA"
     "footnoteB"
     "footnoteC"
     "ledllfill"
     "ledrlfill"
     "thempfn"
     "startstanzahook"
     "noexpand"
     "ss"
     "phantom"
     "hphantom"
     "underbrace"
     "dots"
     "rtab"
     "ctab"
     "ltab"
     "rtabtext"
     "ltabtext"
     "ctabtext"
     "edatab"
     "edatleft"
     "edatright"
     "edvertline"
     "edvertdots"
     "EDTEXT"
     "CRITEXT"
     "xcritext"
     "EDLABEL"
     "EDINDEX"
     "Relax"
     "measuremcell"
     "measuretcell"
     "measuremrow"
     "measuretrow"
     "edrowfill"
     "critext"
     "edtext"
     "Afootnote"
     "Bfootnote"
     "Cfootnote"
     "Dfootnote"
     "Efootnote"
     "linenum"
     "setmcellright"
     "settcellright"
     "setmcellleft"
     "settcellleft"
     "setmcellcenter"
     "settcellcenter"
     "edindex"
     "setmrowright"
     "settrowright"
     "setmrowleft"
     "settrowleft"
     "setmrowcenter"
     "settrowcenter"
     "edlabel"
     "edbeforetab"
     "edaftertab"
     "tabellzwischen"
     "edatabell"
     "Setzen"
     "tabelskip"
     "EDATAB"
     "Next"
     "NEXT"
     "EDTAB"
     "EDTABtext")))

