(TeX-add-style-hook "miniplot"
 (lambda ()
    (LaTeX-add-environments
     "arrangedFigure"
     "arrangedFigureNow"
     "arrangedSideWaysFigure"
     "arrangedSideWaysFigureNow")
    (LaTeX-add-labels
     "fig:#4"
     "fig:#5")
    (TeX-add-symbols
     '("subFig" ["argument"] 1)
     '("newSubFig" ["argument"] 2)
     '("includeEpsWrapNow" ["argument"] 5)
     '("includeEpsWrap" ["argument"] 5)
     '("includeStandardSideWaysGraphNow" ["argument"] 3)
     '("includeStandardSideWaysGraph" ["argument"] 3)
     '("includeSideWaysEpsNow" ["argument"] 4)
     '("includeSideWaysEps" ["argument"] 4)
     '("includeStandardGraphNow" ["argument"] 3)
     '("includeStandardGraph" ["argument"] 3)
     '("includeEpsNow" ["argument"] 4)
     '("includeEps" ["argument"] 4)
     '("aboveCaptionSpace" 1)
     '("printLabel" 1)
     '("setSubFigScale" 3)
     "standardGraphScale"
     "myCaptionText"
     "myLabel"
     "numSubFigCol"
     "numSubSubFigCol"
     "isFirstSubFig"
     "resetMiniPlot"
     "pointless"
     "doextractminiplota"
     "extractminiplota")
    (TeX-run-style-hooks
     "epsfig"
     "graphicx"
     "calc"
     "ifthen")))

