(TeX-add-style-hook "mwrep"
 (lambda ()
    (LaTeX-add-environments
     '("thebibliography" 1)
     "enumerate"
     "itemize"
     "description"
     "abstract"
     "verse"
     "quotation"
     "quote"
     "titlepage"
     "figure"
     "table"
     "theindex")
    (TeX-add-symbols
     '("DeclareSectioningCommand" ["argument"] 2)
     '("SetSectionFormatting" ["argument"] 4)
     '("SetTOCIndents" 1)
     '("descriptionlabel" 1)
     '("FormatRunInHeading" 1)
     '("FormatRigidChapterHeading" 4)
     '("FormatChapterHeading" 3)
     '("FormatHangHeading" 1)
     '("FormatBlockHeading" 1)
     '("chaptermark" 1)
     '("partmark" 1)
     "mw"
     "captionsettings"
     "hf"
     "heading"
     "chapter"
     "appendix"
     "rm"
     "sf"
     "tt"
     "bf"
     "it"
     "sl"
     "sc"
     "cal"
     "mit"
     "tableofcontents"
     "l"
     "listoffigures"
     "listoftables"
     "bibindent"
     "newblock"
     "subitem"
     "subsubitem"
     "indexspace"
     "contentsname"
     "listfigurename"
     "listtablename"
     "bibname"
     "indexname"
     "figurename"
     "tablename"
     "partname"
     "chaptername"
     "appendixname"
     "abstractname"
     "sectsettings"
     "titlesettings"
     "figuresettings"
     "tablesettings"
     "markboth"
     "markright"
     "label"
     "index"
     "glossary"
     "secondarysize"
     "chaptermark"
     "sectionmark"
     "footnotesize"
     "footnoterule"
     "thanks"
     "maketitle"
     "title"
     "author"
     "date"
     "and"
     "cleardoublepage"
     "HeadingNumber"
     "HeadingRHeadText"
     "HeadingTOCText"
     "HeadingText"
     "enumerate"
     "itemize"
     "makelabel"
     "centeredlast"
     "numberline"
     "item"
     "today")
    (TeX-run-style-hooks
     "leqno"
     "fleqn")))

