(TeX-add-style-hook "nrc2"
 (lambda ()
    (LaTeX-add-environments
     "par"
     "leftcolumn"
     "rightcolumn"
     "FullWidth"
     "WideText"
     "resume"
     "flenumerate"
     "flitemize")
    (TeX-add-symbols
     "endthebibliography"
     "endtabular"
     '("BalanceColumns" ["argument"] 0)
     '("textsubscript" 1)
     '("numberby" 2)
     '("eqnoformat" 1)
     '("motscles" 1)
     '("keywords" 1)
     '("abbreviations" 1)
     '("NRCurl" 1)
     '("webpub" 1)
     '("commdate" 1)
     '("corred" 1)
     '("assoced" 1)
     '("dedication" 1)
     '("IDdates" 1)
     '("revaccepted" 1)
     '("revreceived" 1)
     '("accepted" 1)
     '("received" 1)
     '("email" 1)
     '("telefax" 1)
     '("fax" 1)
     '("phone" 1)
     '("AddressNote" 1)
     '("present" 1)
     '("shortauthor" 1)
     '("parallelparsep" 1)
     '("journalcode" 1)
     '("journal" 1)
     '("volyear" 1)
     "NRC"
     "hb"
     "textcopyright"
     "Declare"
     "filenumber"
     "ps"
     "othercol"
     "RestartDouble"
     "LeftColumnBar"
     "RightColumnBar"
     "if"
     "address"
     "specialtitle"
     "nomresume"
     "traduit"
     "Traduit"
     "translation"
     "PACS"
     "easebaselines"
     "smalll"
     "smallt"
     "subsubsubsection"
     "topcaption"
     "captionwidth"
     "noexpand"
     "sepcaption"
     "jcode"
     "sectionmark"
     "subsectionmark"
     "appendixmark"
     "ignorespaces"
     "IDnote"
     "IDdate"
     "protect"
     "correspond"
     "thanks"
     "Asection"
     "Bsection"
     "Csection"
     "Dsection"
     "Esection"
     "makelabel"
     "bibitem")
    (TeX-run-style-hooks
     "mathtime"
     "mtbold"
     "fontenc"
     "LY1"
     "multicol"
     "infoshow"
     "art10"
     "article"
     "fleqn"
     "twoside")))

