(TeX-add-style-hook "ptptex"
 (lambda ()
    (LaTeX-add-environments
     '("thebibliography" 1)
     "verse"
     "quotation"
     "quote"
     "description"
     "figure"
     "table"
     "abstract")
    (TeX-add-symbols
     '("preprintnumber" ["argument"] 1)
     '("JHEP" 1)
     '("PRP" 1)
     '("AJ" 1)
     '("NC" 1)
     '("ANN" 1)
     '("JP" 1)
     '("CMP" 1)
     '("IJMP" 1)
     '("JMP" 1)
     '("NPB" 1)
     '("NPA" 1)
     '("NP" 1)
     '("PLB" 1)
     '("PLA" 1)
     '("PL" 1)
     '("PRL" 1)
     '("PRE" 1)
     '("PRD" 1)
     '("PRC" 1)
     '("PRB" 1)
     '("PRA" 1)
     '("PR" 1)
     '("JPSJ" 1)
     '("PTPS" 1)
     '("PTP" 1)
     '("andvol" 1)
     '("JL" 1)
     '("tocite" 1)
     '("PTPindex" 1)
     '("recdate" 1)
     '("publishedin" 1)
     '("pubinfo" 1)
     '("abst" 1)
     '("inst" 1)
     '("subtitle" 1)
     '("figurebox" 2)
     '("descriptionlabel" 1)
     "newblock"
     "secsymbol"
     "notypesetlogo"
     "PTPTeX"
     "today"
     "Gamma"
     "Delta"
     "Theta"
     "Lambda"
     "Xi"
     "Pi"
     "Sigma"
     "Upsilon"
     "Phi"
     "Psi"
     "Omega"
     "tableofcontents"
     "l"
     "listoffigures"
     "listoftables"
     "ftnt"
     "nofigureboxrule"
     "invitedpaper"
     "rm"
     "sf"
     "tt"
     "bf"
     "it"
     "sl"
     "sc"
     "cal"
     "mit"
     "tiny"
     "Huge"
     "abstsize"
     "instsize"
     "tabularsize"
     "captionsize"
     "hruleheight"
     "hang"
     "normalsize"
     "small"
     "footnotesize"
     "scriptsize"
     "large"
     "Large"
     "LARGE"
     "huge"
     "refsize"
     "mib"
     "baselinestretch"
     "section"
     "subsection"
     "subsubsection"
     "sloppy"
     "makelabel"
     "thesubsubsection"
     "footnote"
     "the"
     "maketitle"
     "thanks"
     "pubvolno"
     "pubmonthyear"
     "sectionmark"
     "subsectionmark"
     "appendix"
     "theequation"
     "thesection"
     "thesubsection"
     "halftext")
    (TeX-run-style-hooks
     "overcite"
     "amssymb"
     "amsmath")))

