(TeX-add-style-hook "thuthesis"
 (lambda ()
    (LaTeX-add-index-entries
     "commands!#1@\\texttt{\\bs#1}"
     "#1@\\texttt{\\hspace*{-1.2ex}\\bs #1}"
     "packages!#1@\\textsf{#1}"
     "#1@\\textsf{#1}"
     "environments!\\texttt{#1}"
     "#1@\\texttt{#1}"
     "#1")
    (LaTeX-add-environments
     "description"
     "enumerate"
     "itemize"
     "cabstract"
     "eabstract"
     "denotation"
     "ack"
     "resume")
    (TeX-add-symbols
     '("shuji" ["argument"] 0)
     '("cdepartment" ["argument"] 1)
     '("MakePerPage" ["argument"] 1)
     '("ziju" 1)
     '("wi" 1)
     '("ei" 1)
     '("pai" 1)
     '("ci" 1)
     '("cih" 1)
     '("resumeitem" 1)
     "song"
     "fs"
     "kai"
     "hei"
     "li"
     "you"
     "thu"
     "makecover"
     "listofequations"
     "onlinecite"
     "bs"
     "pozhehao"
     "selectfont"
     "version"
     "RequirePDFTeX"
     "songti"
     "fangsong"
     "kaishu"
     "heiti"
     "lishu"
     "youyuan"
     "cleardoublepage"
     "CJKindent"
     "footnoterule"
     "hlinewd"
     "caffil"
     "csubject"
     "eaffil"
     "esubject"
     "oldnumberline"
     "numberline"
     "equcaption"
     "thudot"
     "thumasterbib"
     "thuphdbib"
     "AtBeginDocument"
     "AtEndDocument")
    (TeX-run-style-hooks
     "hypernat"
     "breakurl"
     "natbib"
     "numbers"
     "super"
     "sort&compress"
     "booktabs"
     "longtable"
     "array"
     "ntheorem"
     "thmmarks"
     "hyperref"
     "ccmap"
     "arial"
     "CJKspace"
     "CJKpunct"
     "CJKnumb"
     "CJKutf8"
     "xeCJK"
     "CJKnumber"
     "CJKtextspaces"
     "CJKmathspaces"
     "xltxtra"
     "xunicode"
     "paralist"
     "neverdecrease"
     "indentfirst"
     "subfig"
     "config"
     "graphicx"
     "txfonts"
     "amssymb"
     "amsmath"
     "calc"
     "ifthen"
     "ifxetex"
     "ifpdf"
     "bk12"
     "book"
     "12pt"
     "a4paper"
     "openany")))

