(TeX-add-style-hook "ucdavisthesis"
 (lambda ()
    (LaTeX-add-environments
     "code"
     '("thebibliography" 1)
     "verse"
     "quotation"
     "quote"
     "description"
     "titlepage"
     "theindex"
     "figure"
     "table"
     "UMImargins")
    (TeX-add-symbols
     '("UMIabstract" ["argument"] 0)
     '("acknowledgments" 1)
     '("abstract" 1)
     '("dedication" 1)
     '("copyrightinfo" 1)
     '("ColumnSaveHeading" 1)
     '("chaptermark" 1)
     '("descriptionlabel" 1)
     '("ssubsecfontsize" 1)
     '("subsecfontsize" 1)
     '("secfontsize" 1)
     '("chaptertitlefont" 1)
     '("chaptertitlesize" 1)
     '("chapternamefont" 1)
     '("chapternamesize" 1)
     '("SetSinglespace" 1)
     '("setstretch" 1)
     '("copyrightyear" 1)
     '("degreemonth" 1)
     '("degreeyear" 1)
     '("dissertation" 1)
     '("thesis" 1)
     '("graduateprogram" 1)
     '("officialmajor" 1)
     '("committee" 3)
     '("authordegrees" 1)
     '("titlesize" 1)
     "singlespacing"
     "part"
     "chapter"
     "TitleHyphenation"
     "section"
     "subsection"
     "subsubsection"
     "paragraph"
     "subparagraph"
     "appendix"
     "tableofcontents"
     "l"
     "listoffigures"
     "listoftables"
     "bibindent"
     "newblock"
     "subitem"
     "subsubitem"
     "indexspace"
     "contentsname"
     "listfigurename"
     "listtablename"
     "bibname"
     "indexname"
     "figurename"
     "tablename"
     "partname"
     "chaptername"
     "appendixname"
     "abstractname"
     "acknowledgename"
     "dedicationname"
     "rm"
     "sf"
     "tt"
     "bf"
     "it"
     "sl"
     "sc"
     "cal"
     "mit"
     "ColumnSave"
     "ColumnRestore"
     "nocopyright"
     "makeintropages"
     "baselinestretch"
     "makelabel"
     "item"
     "chaptermark"
     "sectionmark"
     "today")
    (TeX-run-style-hooks
     "ifthen")))

