(TeX-add-style-hook "ucthesis"
 (lambda ()
    (LaTeX-add-environments
     "table"
     "figure"
     "theindex"
     "thebibliography"
     "scriptsizetabular"
     "smalltabular"
     "description"
     "quote"
     "quotation"
     "verse"
     "abstract"
     "alwayssingle"
     "dedication"
     "acknowledgements"
     "frontmatter")
    (TeX-add-symbols
     "descriptionmargin"
     "ssp"
     "dsp"
     "smallssp"
     "scriptsizessp"
     "baselinestretch"
     "contentsname"
     "listfigurename"
     "listtablename"
     "bibname"
     "indexname"
     "figurename"
     "tablename"
     "chaptername"
     "appendixname"
     "partname"
     "abstractname"
     "acknowledgename"
     "degreeyear"
     "degreesemester"
     "degree"
     "prevdegrees"
     "chair"
     "othermembers"
     "numberofmembers"
     "field"
     "campus"
     "fmfont"
     "fmsmallfont"
     "maketitle"
     "footnotesize"
     "approvalpage"
     "copyrightpage"
     "abstractsignature"
     "descriptionlabel"
     "makelabel"
     "array"
     "tabular"
     "thepart"
     "thechapter"
     "thesection"
     "thesubsection"
     "thesubsubsection"
     "theparagraph"
     "thesubparagraph"
     "part"
     "tableofcontents"
     "listoffigures"
     "listoftables"
     "newblock"
     "item"
     "subitem"
     "subsubitem"
     "indexspace"
     "footnoterule"
     "topfraction"
     "bottomfraction"
     "textfraction"
     "floatpagefraction"
     "dbltopfraction"
     "dblfloatpagefraction"
     "thefigure"
     "thetable"
     "chaptermark"
     "sectionmark"
     "subsectionmark"
     "today"
     "theequation")
    (TeX-run-style-hooks
     "uct1")))

