(TeX-add-style-hook "umthesis"
 (lambda ()
    (LaTeX-add-environments
     "frontispiece"
     "finalabstract"
     "dedication"
     "acknowledgments"
     "preface"
     "abstract")
    (TeX-add-symbols
     '("program" 1)
     '("degree" 1)
     "filename"
     "fileauthor"
     "prefacename"
     "abstractname"
     "dedicationname"
     "acknowledgmentsname"
     "listappendixname"
     "appendicesname"
     "heading"
     "ext"
     "appendixpage"
     "listofappendices"
     "makecopyright"
     "bibpreamble"
     "oldquote"
     "oldendquote"
     "oldquotation"
     "oldendquotation"
     "chaircommitteemember"
     "cochaircommitteemember"
     "committeemember"
     "abschairname"
     "committee"
     "footnotesize"
     "footnoterule"
     "enumhook"
     "enumhooki"
     "enumhookii"
     "enumhookiii"
     "enumhookiv"
     "itemhook"
     "itemhooki"
     "itemhookii"
     "itemhookiii"
     "itemhookiv"
     "descripthook"
     "enumerate"
     "itemize"
     "makelabel")
    (TeX-run-style-hooks
     "hyperref"
     "bk10"
     "book"
     "letterpaper"
     "etex"
     "ifthen"
     "setspace")))

