(TeX-add-style-hook "usthesis"
 (lambda ()
    (LaTeX-add-environments
     '("SetMargins" 2)
     "Afr"
     "Eng"
     "US"
     "abstract")
    (TeX-add-symbols
     '("DeclarationPage" ["argument"] 0)
     '("CopyrightPage" ["argument"] 0)
     '("setbiblabel" 1)
     '("DeclarationDate" 1)
     '("DeclarationSign" 1)
     '("SetCopyrightHolder" 1)
     '("setdate" 2)
     '("address" 1)
     '("degree" 2)
     '("ThesisDescript" 1)
     '("FixHorizParams" 1)
     '("FixVertParams" 1)
     '("AorE" 2)
     "USfileversion"
     "USfiledate"
     "phantomsection"
     "US"
     "DegreeName"
     "DegreeNameLong"
     "USName"
     "AuthByTxt"
     "StudyLeaderType"
     "StudyLeadersType"
     "PromotorType"
     "PromotorsType"
     "TypeReport"
     "TypeAssignment"
     "TypeThesis"
     "TypePhD"
     "CopyrightHolder"
     "CopyrightTxt"
     "CopyrightAnot"
     "Signat"
     "Datetxt"
     "MasterDescript"
     "PhDDescript"
     "PhDFinalDescript"
     "ThesisDeclare"
     "MonthName"
     "DeclarationName"
     "AbstractName"
     "ThesisType"
     "PromotorText"
     "PromotorsText"
     "promotor"
     "SetCopyrightOff"
     "bibsection"
     "maketitle"
     "footnote"
     "TitlePage"
     "thanks"
     "ReportDescript"
     "subject"
     "adress"
     "and"
     "studyleader"
     "supervisor"
     "bibfont"
     "bibpreamble"
     "item"
     "sectionmark"
     "chaptermark"
     "declaremark"
     "abstractmark"
     "tocmark"
     "lofmark"
     "lotmark"
     "bibmark"
     "indexmark"
     "section"
     "subsection"
     "subsubsection"
     "paragraph"
     "subparagraph")
    (TeX-run-style-hooks
     "ifpdf"
     "calc")))

