(TeX-add-style-hook "york-thesis"
 (lambda ()
    (LaTeX-add-environments
     "epigraphs"
     "fquote"
     "fquotation"
     "fverse")
    (TeX-add-symbols
     '("epigraphlabel" 1)
     '("epigraph" 2)
     '("contentsheader" 2)
     '("spacing" 1)
     "threestars"
     "oldquote"
     "oldendquote"
     "oldquotation"
     "oldendquotation"
     "oldverse"
     "oldendverse"
     "oldbibliography"
     "oldendbibliography"
     "oldprintindex"
     "resetfootnote"
     "baselinestretch"
     "pagefootnoterule"
     "mpfootnoterule"
     "splitfootnoterule"
     "footnoterule"
     "hugeskip"
     "department"
     "masterof"
     "abstractfile"
     "dedicationfile"
     "acknowledgementsfile"
     "prefacefile"
     "abbreviationsfile"
     "committeememberslist"
     "degreename"
     "makefrontmatter"
     "maketitlepage"
     "makecopyrightpage"
     "makeauthenticitypage"
     "makeabstract"
     "makededication"
     "makepreface"
     "makeabbreviations"
     "makeacknowledgements"
     "makelabel"
     "oldepigraphs"
     "oldendepigraphs")
    (TeX-run-style-hooks
     "rep10"
     "report"
     "makeidx"
     "calc"
     "ifthen")))

