(TeX-add-style-hook "aastex"
 (lambda ()
    (LaTeX-add-environments
     "strip"
     '("deluxetable" 1)
     "mathletters"
     "references"
     "plate")
    (TeX-add-symbols
     "enddata"
     '("anchor" 2)
     '("ion" 2)
     '("case" 2)
     '("phm" 1)
     '("plottwo" 2)
     '("plotone" 1)
     '("epsscale" 1)
     '("platenum" 1)
     '("tablecomments" 1)
     '("tablerefs" 1)
     '("sidehead" 1)
     '("cutinhead" 1)
     '("tablevspace" 1)
     '("tableheadfrac" 1)
     '("tablewidth" 1)
     '("tabletail" 1)
     '("tablehead" 1)
     '("tablecaption" 1)
     '("tablecolumns" 1)
     '("tabletypesize" 1)
     '("colhead" 1)
     '("figurenum" 1)
     '("tablenum" 1)
     '("tablenotetext" 2)
     '("tablenotemark" 1)
     '("markcite" 1)
     '("eqnum" 1)
     '("notetoeditor" 1)
     '("slugcomment" 1)
     '("msid" 1)
     '("shortauthors" 1)
     '("shorttitle" 1)
     '("cpright" 2)
     '("ccc" 1)
     '("paperid" 1)
     '("articleid" 2)
     '("journalid" 2)
     '("revised" 1)
     '("accepted" 1)
     '("received" 1)
     '("saythe" 1)
     '("say" 1)
     '("dlap" 1)
     '("ulap" 1)
     "aas"
     "bibstyle"
     "let"
     "tracingplain"
     "traceoutput"
     "nohyphenation"
     "offhyphenation"
     "tightenlines"
     "lefthead"
     "righthead"
     "make"
     "keywords"
     "subsubsubsection"
     "acknowledgments"
     "reference"
     "tnotemarkskip"
     "figcaption"
     "dummytable"
     "rotate"
     "tabbaseskip"
     "noteheight"
     "firsttabskip"
     "startdata"
     "tablebreak"
     "aj"
     "actaa"
     "araa"
     "apj"
     "apjl"
     "apjs"
     "ao"
     "apss"
     "aap"
     "aapr"
     "aaps"
     "azh"
     "baas"
     "caa"
     "cjaa"
     "icarus"
     "jcap"
     "jrasc"
     "memras"
     "mnras"
     "na"
     "nar"
     "pra"
     "prb"
     "prc"
     "prd"
     "pre"
     "prl"
     "pasa"
     "pasp"
     "pasj"
     "qjras"
     "rmxaa"
     "skytel"
     "solphys"
     "sovast"
     "ssr"
     "zap"
     "nat"
     "iaucirc"
     "aplett"
     "apspr"
     "bain"
     "fcp"
     "gca"
     "grl"
     "jcp"
     "jgr"
     "jqsrt"
     "memsai"
     "nphysa"
     "physrep"
     "physscr"
     "planss"
     "procspie"
     "phn"
     "phd"
     "phs"
     "sq"
     "arcdeg"
     "arcmin"
     "arcsec"
     "fd"
     "fh"
     "fm"
     "fs"
     "fdg"
     "fp"
     "micron"
     "slantfrac"
     "onehalf"
     "onethird"
     "twothirds"
     "onequarter"
     "threequarters"
     "ubvr"
     "ub"
     "bv"
     "vr"
     "ur"
     "nodata"
     "diameter"
     "degr"
     "Sun"
     "Sol"
     "sun"
     "Mercury"
     "Venus"
     "Earth"
     "Terra"
     "earth"
     "Mars"
     "Jupiter"
     "Saturn"
     "Uranus"
     "Neptune"
     "Pluto"
     "Moon"
     "Luna"
     "Aries"
     "VEq"
     "Taurus"
     "Gemini"
     "Cancer"
     "Leo"
     "Virgo"
     "Libra"
     "AEq"
     "Scorpius"
     "Sagittarius"
     "Capricornus"
     "Aquarius"
     "Pisces"
     "sbond"
     "dbond"
     "tbond"
     "url"
     "objectname"
     "object"
     "facility"
     "supportfrom"
     "dataset"
     "sizrpt"
     "stripsep"
     "prepdef"
     "appdef"
     "appgdef"
     "footnotesize"
     "footnoterule"
     "date"
     "maketitle"
     "eqnarray"
     "arraystretch"
     "eqsecnum"
     "dates"
     "abstractname"
     "title"
     "author"
     "authoraddr"
     "footnote"
     "email"
     "affil"
     "altaffilmark"
     "altaffiltext"
     "and"
     "thefootnote"
     "thanks"
     "subjectheadings"
     "theeditornote"
     "protect"
     "thesubsection"
     "thesubsubsection"
     "thesubsubsubsection"
     "theparagraph"
     "acknowledgements"
     "thesection"
     "theequation"
     "newblock"
     "refpar"
     "tableline"
     "nl"
     "nextline"
     "platewidth"
     "thefigure"
     "thetable"
     "theplate"
     "plotfiddle"
     "astap"
     "apjlett"
     "apjsupp"
     "applopt"
     "la"
     "ga"
     "farcm"
     "farcs"
     "astro"
     "authoremail"
     "notetoeditor"
     "placetable"
     "placefigure"
     "placeplate"
     "section"
     "subsection"
     "subsubsection"
     "cutinhead"
     "ptlandscape"
     "tighten"
     "baselinestretch"
     "singlespace"
     "doublespace"
     "sluginfo"
     "journal"
     "volume"
     "issue"
     "SGMLbi"
     "SGMLbsc"
     "SGMLclc"
     "SGMLentity"
     "SGML")
    (TeX-run-style-hooks
     "verbatim"
     "natbib"
     "amssymb"
     "graphicx"
     "latexsym"
     "art10"
     "article")))

