(TeX-add-style-hook "algorithm2e"
 (lambda ()
    (LaTeX-add-environments
     "algocf"
     "procedure"
     "function")
    (LaTeX-add-labels
     "#1")
    (TeX-add-symbols
     '("Titleofalgo" 1)
     '("SetProcArgSty" 1)
     '("ProcArgSty" 1)
     '("SetProcNameSty" 1)
     '("ProcNameSty" 1)
     '("SetKwRepeat" 3)
     '("SetKwFor" 4)
     '("SetKwIfElseIf" 8)
     '("SetKwIf" 6)
     '("SetKwIF" 8)
     '("SetKwSwitch" 8)
     '("SetKwBlock" 3)
     '("SetKwFunction" 2)
     '("SetKw" 2)
     '("SetKwComment" 3)
     '("SetKwData" 2)
     '("SetKwInput" 2)
     '("ResetInOut" 1)
     '("SetKwInOut" 2)
     '("Setvlineskip" 1)
     '("SetTitleSty" 2)
     '("TitleSty" 1)
     '("SetCommentSty" 1)
     '("CommentSty" 1)
     '("SetDataSty" 1)
     '("DataSty" 1)
     '("SetFuncSty" 1)
     '("FuncSty" 1)
     '("SetArgSty" 1)
     '("ArgSty" 1)
     '("SetKwSty" 1)
     '("KwSty" 1)
     '("SetAlCapFnt" 1)
     '("SetAlFnt" 1)
     '("SetAlTitleFnt" 1)
     '("AlTitleFnt" 1)
     '("showlnlabel" 1)
     '("SetEndCharOfAlgoLine" 1)
     '("lnlset" 2)
     '("lnl" 1)
     '("nlset" 1)
     '("nllabel" 1)
     '("Setnlsty" 3)
     '("nlSty" 1)
     '("Indentp" 1)
     '("setalcaphskip" 1)
     '("setalcapskip" 1)
     '("setnlskip" 1)
     '("Setnlskip" 1)
     '("decmargin" 1)
     '("incmargin" 1)
     '("SetInd" 2)
     '("SetAlgoInsideSkip" 1)
     '("SetAlgoSkip" 1)
     '("restylealgo" 1)
     "listalgorithmcfname"
     "algorithmcfname"
     "algocf"
     "defaultsmacros"
     "skiptotal"
     "skiprule"
     "skiphlne"
     "skiptext"
     "skiplength"
     "algomargin"
     "skipalgocfslide"
     "algowidth"
     "inoutsize"
     "inoutline"
     "arg"
     "BlankLine"
     "vespace"
     "AlCapSkip"
     "AlCapHSkip"
     "Indp"
     "Indpp"
     "Indm"
     "Indmm"
     "nl"
     "enl"
     "dontprintsemicolon"
     "printsemicolon"
     "linesnumbered"
     "linesnotnumbered"
     "linesnumberedhidden"
     "showln"
     "AlFnt"
     "AlCapFnt"
     "al"
     "V"
     "H"
     "No"
     "a"
     "Hlne"
     "SetNoline"
     "SetVline"
     "SetLine"
     "SetNothing"
     "InOutSizeDefined"
     "SetSideCommentLeft"
     "SetSideCommentRight"
     "SetNoFillComment"
     "SetFillComment"
     "nocaptionofalgo"
     "restorecaptionofalgo"
     "listofalgocfs"
     "l"
     "thealgocf")
    (TeX-run-style-hooks
     "tocbibind"
     "color"
     "xspace"
     "ifthen")))

