(TeX-add-style-hook "apacite"
 (lambda ()
    (LaTeX-add-environments
     "thebibliography"
     "APACrefURL"
     "APACrefURLmsg"
     "APACrefannotation")
    (TeX-add-symbols
     '("CardinalNumeric" 1)
     '("PrintOrdinal" 1)
     '("APACrefYearMonthDay" 3)
     '("APACmonth" 1)
     '("BRetrieved" 1)
     '("BOthersPeriod" 1)
     '("BOthers" 1)
     '("AX" 1)
     '("APACSortNoop" 1)
     '("BCntND" 1)
     '("BCntIP" 1)
     '("BCnt" 1)
     '("APACexlab" 1)
     '("APACyear" 1)
     '("APACcitebtitle" 1)
     '("APACciteatitle" 1)
     '("APACorigbooknote" 9)
     '("APACorigjournalnote" 6)
     '("APACorigyearnote" 2)
     '("APACrefnote" 1)
     '("APACbVolEdTRpgs" 3)
     '("APACbVolEdTR" 2)
     '("APACorigEDS" 1)
     '("APACorigED" 1)
     '("APACaddressPublisherEqAuth" 2)
     '("APACaddressPublisher" 2)
     '("APACjournalVolNumPages" 4)
     '("APACrefbetitle" 2)
     '("APACrefaetitle" 2)
     '("APACrefbtitle" 2)
     '("APACrefatitle" 2)
     '("APACrefYear" 1)
     "APACmetastar"
     "BAstyle"
     "BAastyle"
     "bibliographyprenote"
     "bibnotype"
     "APACstdindex"
     "APACtocindex"
     "APACemindex"
     "APACltxemindex"
     "bt"
     "authorindexname"
     "APACmetaprenote"
     "bibmessage"
     "bibcomputerprogram"
     "bibcomputerprogrammanual"
     "bibcomputerprogramandmanual"
     "bibcomputersoftware"
     "bibcomputersoftwaremanual"
     "bibcomputersoftwareandmanual"
     "bibprogramminglanguage"
     "bibnodate"
     "BIP"
     "BIn"
     "Bby"
     "BED"
     "BEDS"
     "BTRANS"
     "BTRANSS"
     "BTRANSL"
     "BCHAIR"
     "BCHAIRS"
     "BVOL"
     "BVOLS"
     "BNUM"
     "BNUMS"
     "BEd"
     "BCHAP"
     "BCHAPS"
     "BPG"
     "BPGS"
     "BTR"
     "BPhD"
     "BUPhD"
     "BMTh"
     "BUMTh"
     "BAuthor"
     "BOWP"
     "BREPR"
     "BAvailFrom"
     "BMsgPostedTo"
     "BBOP"
     "BBCP"
     "BBOQ"
     "BBCQ"
     "BBAA"
     "BBAB"
     "BAnd"
     "BPBI"
     "BHBI"
     "BAP"
     "BBAY"
     "BBYY"
     "BBC"
     "BBN"
     "BCBT"
     "BCBL"
     "cite"
     "fullcite"
     "shortcite"
     "citeNP"
     "fullciteNP"
     "shortciteNP"
     "citeA"
     "fullciteA"
     "shortciteA"
     "citeauthor"
     "fullciteauthor"
     "shortciteauthor"
     "citeauthorNP"
     "fullciteauthorA"
     "shortciteauthorA"
     "citeyear"
     "citeyearNP"
     "BCAY"
     "BCA"
     "bibnewpage"
     "protect"
     "BBA"
     "APACbibcite"
     "newblock"
     "APACinsertmetastar"
     "APACaddressInstitution"
     "APACaddressInstitutionEqAuth"
     "APAChowpublished"
     "bibliographytypesize"
     "bibcorporate"
     "Bem"
     "bibphant"
     "makehashother"
     "makehashmacropar"
     "PrintAX"
     "printindex"
     "AX"
     "corporateAX"
     "pfill"
     "item"
     "APACurlBreaks"
     "UrlBreaks"
     "UrlBigBreaks"
     "UrlNoBreaks"
     "UrlOrds"
     "UrlSpecials"
     "UrlFont"
     "url"
     "bibcite"
     "bibpreamble"
     "hyperpage"
     "fi"
     "APACrestorebibitem"
     "CurrentBib"
     "PrintBackRefs"
     "newbibliography"
     "bibliography"
     "nocitemeta"
     "nocite"
     "citeauthoryear"
     "refname"
     "bibname")
    (TeX-run-style-hooks
     "multicol"
     "index")))

