(TeX-add-style-hook "chletter"
 (lambda ()
    (LaTeX-add-environments
     "letter"
     "description"
     "verse"
     "quotation"
     "quote")
    (TeX-add-symbols
     '("makelabels" ["argument"] 0)
     '("section" ["argument"] 1)
     '("subsection" ["argument"] 1)
     '("subsubsection" ["argument"] 1)
     '("encl" ["argument"] 1)
     '("cc" ["argument"] 1)
     '("ps" ["argument"] 1)
     '("conc" ["argument"] 1)
     '("closing" ["argument"] 1)
     '("opening" ["argument"] 1)
     '("maketitle" ["argument"] 0)
     '("descriptionlabel" 1)
     '("paragraph" 1)
     '("subparagraph" 1)
     '("longindent" 1)
     '("return" 1)
     '("telephone" 1)
     '("location" 1)
     '("address" 1)
     '("signature" 1)
     '("name" 1)
     "letterindent"
     "addressmargin"
     "indentedwidth"
     "fromtop"
     "fromheight"
     "toheight"
     "sigspace"
     "ccname"
     "enclname"
     "pagename"
     "headtoname"
     "today"
     "ch"
     "fromname"
     "fromsig"
     "fromaddress"
     "fromlocation"
     "telephonenum"
     "makelabel"
     "fromstreet"
     "fromplace"
     "returnaddress"
     "toname"
     "toaddress")
    (TeX-run-style-hooks
     "leqno"
     "fleqn")))

