(TeX-add-style-hook "classicthesis"
 (lambda ()
    (LaTeX-add-environments
     "aenumerate")
    (TeX-add-symbols
     '("myPart" ["argument"] 1)
     '("myChapter" ["argument"] 1)
     '("tocEntry" 1)
     '("spacedlowsmallcaps" 1)
     '("spacedallcaps" 1)
     '("graffito" 1)
     "chapterNumber"
     "deactivateaddvspace"
     "finalVersionString"
     "lstlistoflistings"
     "thepart"
     "addvspace")
    (TeX-run-style-hooks
     "prelim2e"
     "draft"
     "scrtime"
     "tocloft"
     "titles"
     "titlesec"
     "scrpage2"
     "automark"
     "soul"
     "textcase"
     "booktabs"
     "microtype"
     "eulervm"
     "euler-digits"
     "mathpazo"
     "osf"
     "sc"
     "MinionPro"
     "opticals"
     "mathlf"
     "xcolor"
     "dvipsnames"
     "hyperref"
     "ifpdf"
     "listings"
     "ifthen")))

