(TeX-add-style-hook "datetime"
 (lambda ()
    (TeX-add-symbols
     '("shortmonthname" ["argument"] 0)
     '("shortmonthnameenglish" ["argument"] 0)
     '("monthname" ["argument"] 0)
     '("monthnameenglish" ["argument"] 0)
     '("hourstring" 1)
     '("newtimeformat" 2)
     '("newdateformat" 2)
     '("dateformat" 4)
     '("shortdayofweekname" 3)
     '("shortdayofweeknameidenglish" 1)
     '("dayofweekname" 3)
     '("dayofweeknameid" 1)
     '("dayofweeknameidenglish" 1)
     '("computedayofweek" 3)
     '("computedayofyear" 3)
     '("testifleapyear" 1)
     '("settimeformat" 1)
     '("displaydate" 1)
     '("getdateday" 1)
     '("getdatemonth" 1)
     '("getdateyear" 1)
     '("newdate" 4)
     '("formatdate" 3)
     '("ordinaldate" 1)
     '("ordinaldatefrench" 1)
     '("ordinaldatebreton" 1)
     '("ordinaldatewelsh" 1)
     '("ordinaldateenglish" 1)
     "dateseparator"
     "ier"
     "longdate"
     "shortdate"
     "ddmmyyyydate"
     "dmyyyydate"
     "ddmmyydate"
     "dmyydate"
     "textdate"
     "usdate"
     "mmddyyyydate"
     "mdyyyydate"
     "mmddyydate"
     "mdyydate"
     "currenttime"
     "timeseparator"
     "dayofyear"
     "dayofweek"
     "thisdayofweekname"
     "thisshortdayofweekname"
     "today"
     "THEDAY"
     "THEMONTH"
     "THEYEAR"
     "amname"
     "pmname"
     "amorpmname"
     "amstring"
     "pmstring"
     "amorpmstring"
     "halfpast"
     "quarterpast"
     "quarterto"
     "noon"
     "midnight"
     "oclockstring"
     "twodigit"
     "dateenglish"
     "THEHOUR"
     "THEHOURXII"
     "THEMINUTE"
     "THETOHOUR"
     "THETOMINUTE")
    (TeX-run-style-hooks
     "ifthen"
     "fmtcount"
     "dt-austrian"
     "dt-bahasa"
     "dt-basque"
     "dt-breton"
     "dt-bulgarian"
     "dt-catalan"
     "dt-croatian"
     "dt-czech"
     "dt-danish"
     "dt-dutch"
     "dt-esperanto"
     "dt-estonian"
     "dt-finnish"
     "dt-french"
     "dt-galician"
     "dt-german"
     "dt-greek"
     "dt-hebrew"
     "dt-icelandic"
     "dt-irish"
     "dt-italian"
     "dt-latin"
     "dt-lsorbian"
     "dt-magyar"
     "dt-naustrian"
     "dt-ngerman"
     "dt-norsk"
     "dt-polish"
     "dt-portuges"
     "dt-romanian"
     "dt-russian"
     "dt-samin"
     "dt-scottish"
     "dt-serbian"
     "dt-slovak"
     "dt-slovene"
     "dt-spanish"
     "dt-swedish"
     "dt-turkish"
     "dt-ukraineb"
     "dt-usorbian"
     "dt-welsh"
     "dt-UKenglish"
     "dt-USenglish"
     "dt-british")))

