(TeX-add-style-hook "gatech-thesis"
 (lambda ()
    (LaTeX-add-environments
     '("newspacing" 1)
     "longquote"
     "longquotation"
     "singlespaced"
     "oneandahalfspaced"
     "doublespaced"
     "preliminary"
     "summary"
     "dedication"
     "acknowledgements"
     "preface"
     "postliminary"
     "vita")
    (TeX-add-symbols
     '("labelappendicesintableofcontents" ["argument"] 0)
     '("labelchaptersintableofcontents" ["argument"] 0)
     '("setbackpagestyle" 1)
     '("setbodypagestyle" 1)
     '("setfrontpagestyle" 1)
     '("postfacesection" 1)
     '("setchaptertocdepth" 1)
     '("setappendixtocdepth" 1)
     '("settocdepth" 1)
     '("setlotstring" 1)
     '("setlofstring" 1)
     '("settocstring" 1)
     '("prefacesection" 1)
     '("signature" 1)
     '("dosiglist" 2)
     '("bibfiles" 1)
     '("sixthreader" 1)
     '("fifthreader" 1)
     '("fourthreader" 1)
     '("thirdreader" 1)
     '("secondreader" 1)
     '("firstreader" 1)
     '("committeechair" 1)
     '("principaladviser" 1)
     '("principaladvisor" 1)
     '("submitdate" 1)
     '("copyrightyear" 1)
     '("gradyear" 1)
     '("dept" 1)
     '("department" 1)
     '("degree" 1)
     '("newlinestretch" 1)
     '("spacing" 1)
     '("linespacing" 1)
     '("texorpdfstring" 2)
     '("Makeuppercase" 1)
     '("comment" 1)
     '("ignore" 1)
     "gtthesisversion"
     "gtthesisupdated"
     "tlDRAFT"
     "trDRAFT"
     "blDRAFT"
     "brDRAFT"
     "phantomsection"
     "title"
     "make"
     "dedicationtop"
     "dedicationbottom"
     "signature"
     "makesignature"
     "beforepreface"
     "afterpreface"
     "gtcontentsname"
     "toccontentlinestring"
     "tocpdfbookmarkstring"
     "gtlistfigurename"
     "lofcontentlinestring"
     "lofpdfbookmarkstring"
     "gtlisttablename"
     "lotcontentlinestring"
     "lotpdfbookmarkstring"
     "l"
     "gt"
     "contents"
     "gtindent"
     "thegtchapter"
     "beforepostface"
     "afterpostface"
     "refname"
     "references"
     "clearemptydoublepage"
     "clearplaindoublepage"
     "cleartcplaindoublepage"
     "cleargtthesisdoublepage"
     "ps"
     "pdfbookmark"
     "currenttextsize"
     "leftappenditem"
     "rightappenditem"
     "concatenate"
     "lop"
     "lopoff"
     "thefigure"
     "thetable"
     "theequation"
     "thechapter"
     "sectionmark"
     "chaptermark"
     "oldtextsize")
    (TeX-run-style-hooks
     "calc")))

