(TeX-add-style-hook "hepthesis"
 (lambda ()
    (LaTeX-add-environments
     '("thesisacknowledgements" 1)
     '("thesischapterintro" 1)
     "displaymath"
     "acknowledgements"
     "preface"
     "declaration"
     "abstract"
     "colophon"
     "chapterintro"
     "thesistable"
     "thesistabular"
     "thesisfigure"
     "thesissidewaysfigure"
     "thesisdisplaymath"
     "thesisequation"
     "thesisdeclaration"
     "thesisabstract"
     "thesispreface"
     "thesisfrontmatter"
     "thesismainmatter"
     "thesisbackmatter")
    (TeX-add-symbols
     '("thesistitlepage" ["argument"] 1)
     '("chapterquote" ["argument"] 2)
     '("pagequote" ["argument"] 2)
     '("titlepage" ["argument"] 1)
     '("PageRef" 1)
     '("ReferenceRef" 1)
     '("EquationRef" 1)
     '("TableRef" 1)
     '("FigureRef" 1)
     '("AppendixRef" 1)
     '("SectionRef" 1)
     '("ChapterRef" 1)
     '("thesisverysubsection" 1)
     '("thesischapterquote" 2)
     '("thesisfrontquote" 2)
     '("verysubsection" 1)
     '("dedication" 1)
     '("definethesis" 2)
     '("setprefaceextramargins" 1)
     '("setacknowledgementsextramargins" 1)
     '("setdeclarationextramargins" 1)
     '("setabstractextramargins" 1)
     '("setbackmatterextramargins" 1)
     '("setappendixextramargins" 1)
     '("setmainmatterextramargins" 1)
     '("setfrontmatterextramarginsg" 1)
     '("setextramargins" 1)
     '("setbackmatterspacing" 1)
     '("setappendixspacing" 1)
     '("setmainmatterspacing" 1)
     '("setfrontmatterspacing" 1)
     '("setspacing" 1)
     '("foreignquote" 1)
     '("enquote" 1)
     "thefootnote"
     "mainmatter"
     "contentsname"
     "bibname"
     "listfigurename"
     "listtablename"
     "thesistypeout"
     "Chapter"
     "Section"
     "Appendix"
     "Figure"
     "Table"
     "Equation"
     "Reference"
     "Page"
     "thetitle"
     "theauthor"
     "cleardoublepage"
     "frontquote"
     "thearg"
     "sans"
     "italic"
     "sansit")
    (TeX-run-style-hooks
     "hyperref"
     "caption"
     "rotating"
     "comment"
     "verbatim"
     "tocbibind"
     "nottoc"
     "fancyhdr"
     "setspace"
     "draftcopy"
     "lineno"
     "pagewise"
     "mathlines"
     "hep"
     "booktabs"
     "titling"
     "makeidx"
     "amsmath"
     "varwidth"
     "chngpage"
     "a4wide"
     "scrbook12"
     "scrbook"
     "12pt"
     "chapterprefix")))

