(TeX-add-style-hook "hyperref"
 (lambda ()
    (LaTeX-add-environments
     "subeqnarray"
     "eqnarray"
     "equation"
     "NoHyper"
     "Form")
    (TeX-add-symbols
     '("pdfbookmark" ["argument"] 2)
     "toclevel"
     "SpecialDvipdfmxOutlineOpen"
     "theHlstlisting"
     "theHlisting"
     "Hy"
     "hyper"
     "nolinkurl"
     "url"
     "hyperimage"
     "TextField"
     "ChoiceMenu"
     "CheckBox"
     "PushButton"
     "Gauge"
     "Submit"
     "Reset"
     "HyPL"
     "theHpart"
     "theHsection"
     "theHfigure"
     "theHtable"
     "theHchapter"
     "theHsubsection"
     "theHsubsubsection"
     "theHparagraph"
     "theHsubparagraph"
     "theHtheorem"
     "theHthm"
     "theHenumi"
     "theHenumii"
     "theHenumiii"
     "theHenumiv"
     "theHHfootnote"
     "theHmpfootnote"
     "theHsubequation"
     "ext"
     "theHslide"
     "theHslidesection"
     "theHslidesubsection"
     "listslidename"
     "Ref"
     "AMSautorefname"
     "Hfootnoteautorefname"
     "Itemautorefname"
     "AfterBeginDocument"
     "hypercalcbp"
     "hypercalcbpdef"
     "pdfstringdef"
     "ifpdfstringunicode"
     "P"
     "ldots"
     "dots"
     "TeX"
     "LaTeX"
     "LaTeXe"
     "eTeX"
     "SliTeX"
     "MF"
     "MP"
     "emph"
     "textnormal"
     "textrm"
     "textsf"
     "texttt"
     "textbf"
     "textmd"
     "textit"
     "textsc"
     "textsl"
     "textup"
     "normalfont"
     "rmfamily"
     "sffamily"
     "ttfamily"
     "bfseries"
     "mdseries"
     "itshape"
     "scshape"
     "slshape"
     "upshape"
     "em"
     "rm"
     "Huge"
     "LARGE"
     "Large"
     "footnotesize"
     "huge"
     "large"
     "normalsize"
     "scriptsize"
     "small"
     "tiny"
     "mathversion"
     "phantom"
     "vphantom"
     "hphantom"
     "textcolor"
     "MakeUppercase"
     "MakeLowercase"
     "cyr"
     "glqq"
     "grqq"
     "glq"
     "grq"
     "flqq"
     "frqq"
     "flq"
     "frq"
     "hspace"
     "index"
     "glossary"
     "href"
     "ref"
     "pageref"
     "nameref"
     "leavevmode"
     "mbox"
     "halign"
     "ignorespaces"
     "xspace"
     "bgroup"
     "egroup"
     "discretionary"
     "GenericError"
     "GenericWarning"
     "GenericInfo"
     "def"
     "gdef"
     "edef"
     "xdef"
     "futurelet"
     "let"
     "b"
     "d"
     "texorpdfstring"
     "pdfstringdefPostHook"
     "pdfstringdefDisableCommands"
     "pdfstringdefWarn"
     "greeknumeral"
     "Greeknumeral"
     "tocpart"
     "tocchapter"
     "tocappendix"
     "tocsection"
     "tocsubsection"
     "tocsubsubsection"
     "tocparagraph"
     "space"
     "unichar"
     "HyperRaiseLinkHook"
     "HyperRaiseLinkDefault"
     "HyperRaiseLinkLength"
     "z"
     "BeforeTeXIVht"
     "equationautorefname"
     "footnoteautorefname"
     "itemautorefname"
     "figureautorefname"
     "tableautorefname"
     "partautorefname"
     "appendixautorefname"
     "chapterautorefname"
     "sectionautorefname"
     "subsectionautorefname"
     "subsubsectionautorefname"
     "paragraphautorefname"
     "subparagraphautorefname"
     "FancyVerbLineautorefname"
     "theoremautorefname"
     "pageautorefname"
     "hyperbaseurl"
     "hyperlinkfileprefix"
     "setpdflinkmargin"
     "HyperDestNameFilter"
     "hypersetup"
     "ExecuteOptions"
     "Acrobatmenu"
     "texttilde"
     "autoref"
     "autopageref"
     "MaybeStopEarly"
     "ReadBookmarks"
     "WriteBookmarks"
     "textasciitilde"
     "hyperlink"
     "Hurl"
     "hypertarget"
     "hyperdef"
     "htmladdimg"
     "htmladdnormallink"
     "htmladdnormallinkfoot"
     "htmlref"
     "hhyperref"
     "MessageBreak"
     "LayoutTextField"
     "LayoutChoiceField"
     "LayoutCheckField"
     "LayoutPushButtonField"
     "MakeRadioField"
     "MakeCheckField"
     "MakeTextField"
     "MakeChoiceField"
     "MakeButtonField"
     "DefaultHeightofSubmit"
     "DefaultWidthofSubmit"
     "DefaultHeightofReset"
     "DefaultWidthofReset"
     "DefaultHeightofCheckBox"
     "DefaultWidthofCheckBox"
     "DefaultHeightofChoiceMenu"
     "DefaultWidthofChoiceMenu"
     "DefaultHeightofText"
     "DefaultHeightofTextMultiline"
     "DefaultWidthofText"
     "DefaultOptionsofSubmit"
     "DefaultOptionsofReset"
     "DefaultOptionsofPushButton"
     "DefaultOptionsofCheckBox"
     "DefaultOptionsofText"
     "DefaultOptionsofListBox"
     "DefaultOptionsofComboBox"
     "DefaultOptionsofPopdownBox"
     "DefaultOptionsofRadio"
     "string"
     "newlabel"
     "title"
     "author"
     "c"
     "newline"
     "pdfstringdefPreHook"
     "thispdfpagelabel"
     "arabic"
     "Roman"
     "roman"
     "Alph"
     "alph"
     "theHItem"
     "item"
     "theHHmpfootnote"
     "appendix"
     "textlatin"
     "noexpand"
     "hypergetref"
     "hypergetpageref"
     "y"
     "x"
     "refstepcounter"
     "newname"
     "subequations"
     "theHequation"
     "thmheadnl"
     "maketitle"
     "realfootnote"
     "caption"
     "bibcite"
     "harvardcite"
     "harvarditem"
     "protect"
     "citeN"
     "shortciteN"
     "citeauthoryear"
     "addcontentsline"
     "label"
     "contentsline"
     "nohyperpage"
     "hyperpage"
     "listofslides"
     "phantomsection")
    (TeX-run-style-hooks
     "atbegshi"
     "kvsetkeys"
     "bitset"
     "url"
     "backref"
     "nameref"
     "kvoptions"
     "color"
     "stringenc"
     "memhfixc"
     "etexcmds"
     "hycolor"
     "ifxetex"
     "ifvtex"
     "ifpdf"
     "keyval"
     "pd1enc"
     "puenc"
     "puvnenc"
     "puarenc")))

