(TeX-add-style-hook "jhep"
 (lambda ()
    (LaTeX-add-environments
     "keywords"
     '("thebibliography" 1)
     "description"
     "verse"
     "quotation"
     "quote"
     "figure"
     "table"
     "floatingfigure"
     "floatingtable")
    (LaTeX-add-labels
     "-TOC-")
    (TeX-add-symbols
     '("fltditem" ["argument"] 2)
     '("fltitem" ["argument"] 1)
     '("DOUBLETABLE" ["argument"] 4)
     '("DOUBLEFIGURE" ["argument"] 4)
     '("TABULAR" ["argument"] 3)
     '("EPSFIGURE" ["argument"] 2)
     '("TABLE" ["argument"] 1)
     '("FIGURE" ["argument"] 1)
     '("JHEP" 1)
     '("PrHEP" 1)
     '("suprcon" 1)
     '("solvint" 1)
     '("quantph" 1)
     '("nlinsys" 1)
     '("condmat" 1)
     '("chaodyn" 1)
     '("astroph" 1)
     '("alggeom" 1)
     '("accphys" 1)
     '("qalg" 1)
     '("grqc" 1)
     '("nuclth" 1)
     '("hepex" 1)
     '("heplat" 1)
     '("hepph" 1)
     '("hepth" 1)
     '("ijmpb" 3)
     '("ijmpa" 3)
     '("ibid" 3)
     '("joth" 3)
     '("jetpl" 3)
     '("nc" 3)
     '("yf" 3)
     '("zetf" 3)
     '("jetp" 3)
     '("sjnp" 3)
     '("mplb" 3)
     '("mpla" 3)
     '("zpc" 3)
     '("rmp" 3)
     '("ptp" 3)
     '("prl" 3)
     '("prep" 3)
     '("pre" 3)
     '("prd" 3)
     '("prc" 3)
     '("prb" 3)
     '("pra" 3)
     '("pr" 3)
     '("ppnp" 3)
     '("plb" 3)
     '("pla" 3)
     '("npps" 3)
     '("npb" 3)
     '("npa" 3)
     '("lmp" 3)
     '("jhep" 3)
     '("hpa" 3)
     '("cqg" 3)
     '("jgp" 3)
     '("jmp" 3)
     '("cmp" 3)
     '("cpc" 3)
     '("atmp" 3)
     '("arnps" 3)
     '("ap" 3)
     '("adp" 3)
     '("abstract" 1)
     '("preprint" 1)
     '("email" 1)
     '("dedicated" 1)
     '("accepted" 1)
     '("received" 1)
     '("conference" 1)
     '("descriptionlabel" 1)
     '("textref" 2)
     '("base" 1)
     '("name" 1)
     '("href" 2)
     "minute"
     "auto"
     "secstyle"
     "part"
     "section"
     "subsection"
     "subsubsection"
     "paragraph"
     "subparagraph"
     "acknowledgments"
     "appendix"
     "ffigcount"
     "ftabcount"
     "hangcount"
     "nosuccesstryfig"
     "nosuccesstrytab"
     "figgutter"
     "tabgutter"
     "htdone"
     "pageht"
     "startpageht"
     "floatfltwidth"
     "fltitemwidth"
     "rm"
     "sf"
     "tt"
     "bf"
     "it"
     "sl"
     "sc"
     "cal"
     "mit"
     "tocsecs"
     "tableofcontents"
     "l"
     "listoffigures"
     "listoftables"
     "bibindent"
     "newblock"
     "contentsname"
     "listfigurename"
     "listtablename"
     "refname"
     "indexname"
     "figurename"
     "tablename"
     "partname"
     "appendixname"
     "abstractname"
     "keywordsname"
     "receivedname"
     "acceptedname"
     "acknowlname"
     "today"
     "logo"
     "sectionmark"
     "subsectionmark"
     "maketitle"
     "footnote"
     "thanks"
     "title"
     "author"
     "date"
     "and"
     "email"
     "received"
     "accepted"
     "makelabel"
     "figinsert"
     "tabinsert"
     "tryfig"
     "trytab"
     "dohang"
     "label"
     "index"
     "glossary"
     "PrHEP"
     "JHEP"
     "pagestyle"
     "thispagestyle"
     "pagenumbering")))

