(TeX-add-style-hook "ltugboat"
 (lambda ()
    (LaTeX-add-environments
     "verbatim"
     "reviewitem"
     "dedication"
     "longabstract"
     "SafeSection"
     "compactitemize")
    (TeX-add-symbols
     "endappendix"
     "endash"
     '("netaddress" ["argument"] 0)
     '("makesignature" ["argument"] 0)
     '("acro" 1)
     '("textSMC" 1)
     '("SetBibJustification" 1)
     '("nameref" 1)
     '("pageref" 1)
     '("ref" 1)
     '("DeclareLaTeXLogo" 5)
     '("env" 1)
     '("cs" 1)
     '("meta" 1)
     '("sfrac" 1)
     '("Xe" 1)
     '("textsuperscript" 1)
     '("AddToResetCommands" 1)
     "logofamily"
     "textlogo"
     "other"
     "hb"
     "ConTeXt"
     "Cplusplus"
     "plusplus"
     "eTeX"
     "ExTeX"
     "La"
     "mp"
     "Declare"
     "OMEGA"
     "OCP"
     "OTP"
     "NTS"
     "TeX"
     "normalparindent"
     "TestCount"
     "TestDimen"
     "hours"
     "minutes"
     "raggedskip"
     "raggedstretch"
     "raggedparfill"
     "nobreakspace"
     "issueseqno"
     "pagewd"
     "trimwd"
     "trimlgt"
     "headmargin"
     "LaTeX"
     "signaturewidth"
     "authornumber"
     "net"
     "stbaselineskip"
     "stfontheight"
     "sectitle"
     "PreTitleDrop"
     "AboveTitleSkip"
     "BelowTitleSkip"
     "strulethickness"
     "TBtocsectionspace"
     "app"
     "tubfullpageindent"
     "bibindent"
     "refname"
     "SMC"
     "TBInfo"
     "TBError"
     "TBWarning"
     "TBWarningNL"
     "preprint"
     "UseExtraLabel"
     "sectitlefont"
     "tensl"
     "EdNoteFont"
     "MF"
     "MP"
     "makeescape"
     "makebgroup"
     "makeegroup"
     "makemath"
     "makealign"
     "makeeol"
     "makeparm"
     "makesup"
     "makesub"
     "makeignore"
     "makespace"
     "makeletter"
     "makeother"
     "makeactive"
     "makecomment"
     "savecat"
     "restorecat"
     "SaveCS"
     "RestoreCS"
     "plaintubstyle"
     "latextubstyle"
     "AllTeX"
     "AMS"
     "AmS"
     "AmSLaTeX"
     "AmSTeX"
     "ANSI"
     "API"
     "ASCII"
     "aw"
     "AW"
     "Bib"
     "BibTeX"
     "CandT"
     "CJK"
     "CSS"
     "CTAN"
     "DTD"
     "DVD"
     "DVI"
     "DVIPDFMx"
     "DVItoVDU"
     "ECMA"
     "EPS"
     "FAQ"
     "FTP"
     "Ghostscript"
     "GNU"
     "GUI"
     "Hawaii"
     "HTML"
     "HTTP"
     "IEEE"
     "ISBN"
     "ISO"
     "ISSN"
     "JPEG"
     "JTeX"
     "JoT"
     "LAMSTeX"
     "LyX"
     "MacOSX"
     "MathML"
     "Mc"
     "mf"
     "MFB"
     "OOXML"
     "mtex"
     "Pas"
     "pcMF"
     "PCTeX"
     "pcTeX"
     "PDF"
     "PiC"
     "PiCTeX"
     "PGF"
     "PHP"
     "plain"
     "PNG"
     "POBox"
     "PS"
     "PSTricks"
     "RTF"
     "SC"
     "SGML"
     "SliTeX"
     "slMF"
     "SQL"
     "stTeX"
     "STIX"
     "SVG"
     "TANGLE"
     "TB"
     "TIFF"
     "TP"
     "TeXhax"
     "TeXMaG"
     "TeXtures"
     "Textures"
     "TeXXeT"
     "TFM"
     "Thanh"
     "TikZ"
     "ttn"
     "TTN"
     "TUB"
     "TUG"
     "tug"
     "UG"
     "UNIX"
     "UTF"
     "VAX"
     "VnTeX"
     "VorTeX"
     "XeT"
     "XML"
     "WEB"
     "WEAVE"
     "WYSIWYG"
     "tubreflect"
     "tubhideheight"
     "XeTeX"
     "XeLaTeX"
     "XHTML"
     "XSLT"
     "NoParIndent"
     "NormalParIndent"
     "BlackBoxes"
     "NoBlackBoxes"
     "newline"
     "nohyphens"
     "ifundefined"
     "topsmash"
     "botsmash"
     "smash"
     "ulap"
     "dlap"
     "xlap"
     "ylap"
     "zlap"
     "basezero"
     "nullhrule"
     "nullvrule"
     "makestrut"
     "drawoutlinebox"
     "SetTime"
     "now"
     "Now"
     "midrtitle"
     "raggedspaces"
     "raggedright"
     "raggedleft"
     "raggedcenter"
     "normalspaces"
     "boxcs"
     "setboxcs"
     "newboxcs"
     "gobble"
     "vellipsis"
     "bull"
     "cents"
     "careof"
     "Dag"
     "thinskip"
     "emdash"
     "dash"
     "Dash"
     "ldash"
     "rdash"
     "Ldash"
     "Rdash"
     "hyph"
     "slash"
     "nth"
     "r"
     "Review"
     "revauth"
     "therevauth"
     "revtitle"
     "therevtitle"
     "revpubinfo"
     "therevpubinfo"
     "booktitle"
     "volyr"
     "volno"
     "vol"
     "issyear"
     "issdate"
     "tubissue"
     "Input"
     "TBEnableRemarks"
     "TBremark"
     "TUBedit"
     "TUBfilename"
     "fileinput"
     "pagexrefON"
     "PageXrefON"
     "pagexrefOFF"
     "pagexref"
     "PageXrefOFF"
     "PageXref"
     "xreftoON"
     "xreftoOFF"
     "xrefto"
     "TBdriver"
     "theauthor"
     "theaddress"
     "thenetaddress"
     "thePersonalURL"
     "signature"
     "phone"
     "signaturemark"
     "author"
     "contributor"
     "EDITORnoaddress"
     "EDITORnonetaddress"
     "address"
     "network"
     "personalURL"
     "authorlist"
     "mspmetavar"
     "maketitle"
     "shortTitle"
     "rhTitle"
     "shortAuthor"
     "rhAuthor"
     "secsep"
     "and"
     "section"
     "subsection"
     "subsubsection"
     "paragraph"
     "subparagraph"
     "chapter"
     "part"
     "TBtocsectionfont"
     "label"
     "index"
     "quote"
     "ruled"
     "cite"
     "citeNP"
     "citeN"
     "citeA"
     "citeANP"
     "shortcite"
     "shortciteNP"
     "shortciteN"
     "shortciteA"
     "shortciteANP"
     "citeyear"
     "citeyearNP"
     "citeauthoryear"
     "newblock"
     "etal"
     "bibentry"
     "bibliography"
     "bibliographystyle"
     "thebibliography"
     "sloppy"
     "BibJustification"
     "ttopregister"
     "tbotregister"
     "topregister"
     "botregister"
     "texttub"
     "PrelimDraftfooter"
     "UseTrimMarks"
     "MakeRegistrationMarks"
     "thanks"
     "smc"
     "ninepoint"
     "xEdNote"
     "SelfDocumenting"
     "creditfootnote"
     "supportfootnote"
     "thefootnote")
    (TeX-run-style-hooks
     "mflogo"
     "art10"
     "article"
     "twoside")))

