(TeX-add-style-hook "ltxdocext"
 (lambda ()
    (LaTeX-add-index-entries
     "#1=\\string\\meta{#1} placeholder"
     "placeholder>#1=\\string\\meta{#1}"
     "#1=\\string\\ttt{#1}, argument"
     "argument>#1=\\string\\ttt{#1}"
     "#1=\\string\\ttt{#1}, optional argument"
     "argument, optional>#1=\\string\\ttt{#1}"
     "#2=\\string\\cmd#1#2"
     "\\string$#3=\\string\\cmd#1#2---#3"
     "#1=\\string\\ttt{#1}"
     "file>#1=\\string\\ttt{#1}"
     "#2\\space#1=\\string\\ttt{#2}\\space#1"
     "#1>#2=\\string\\ttt{#2}")
    (LaTeX-add-environments
     "unnumtable")
    (TeX-add-symbols
     "endfilecontents"
     '("enve" 1)
     '("envb" 1)
     '("cs" 1)
     '("oarg" 1)
     '("arg" 1)
     '("meta" 1)
     '("marg" 1)
     "env"
     "file"
     "substyle"
     "classoption"
     "classname"
     "frontmatter"
     "mainmatter"
     "backmatter"
     "toprule"
     "colrule"
     "botrule"
     "subsubsubsection"
     "verbatim"
     "GetFileInfo"
     "filename"
     "fileinfo"
     "LANGLE"
     "RANGLE"
     "oarg"
     "scmd"
     "url"
     "aftergroup"
     "see"
     "seealso"
     "cmd"
     "ttt"
     "item"
     "cleartorecto"
     "T")
    (TeX-run-style-hooks
     "shortvrb"
     "verbatim")))

