(TeX-add-style-hook "nddiss2e"
 (lambda ()
    (LaTeX-add-environments
     "copyrightpage"
     "abstract"
     "dedication"
     "preface"
     "acknowledge"
     "symbols")
    (TeX-add-symbols
     '("sym" 2)
     '("copyrightholder" 1)
     '("copyrightyear" 1)
     '("degdate" 1)
     '("department" 1)
     '("secondadvisor" 1)
     '("advisor" 1)
     '("degprior" 1)
     '("degaward" 1)
     '("work" 1)
     "dissfileversion"
     "dissfiledate"
     "normalspacing"
     "single"
     "double"
     "clearemptydoublepage"
     "nddiss"
     "makecopyright"
     "makepublicdomain"
     "abstractname"
     "dedicationname"
     "prefacename"
     "acknowledgename"
     "symbolsname"
     "timenow"
     "diss"
     "bibfont")
    (TeX-run-style-hooks
     "setspace"
     "doublespacing"
     "url"
     "rotating"
     "booktabs"
     "lscape"
     "float"
     "amssymb"
     "amsmath"
     "hypernat"
     "authoryear"
     "sort"
     "natbib"
     "numbers"
     "sort&compress"
     "dvips"
     "graphicx"
     "color"
     "epsfig"
     "pdftex"
     "showkeys"
     "latexsym"
     "enumerate"
     "tabularx"
     "indentfirst"
     "xspace"
     "longtable"
     "ifpdf"
     "exscale"
     "ifthen"
     "bk10"
     "book")))

