(TeX-add-style-hook "oz"
 (lambda ()
    (LaTeX-add-environments
     "proof"
     "zpar"
     "sidebyside"
     "type"
     "const"
     "init"
     "state"
     "op"
     "class"
     "gengendef"
     "gendef"
     "uniqdef"
     "axdef"
     "genschema"
     "schema"
     "syntax"
     "infrule"
     "argue"
     "zed"
     "qzed")
    (TeX-add-symbols
     "doublebarwedge"
     "lll"
     "ggg"
     "eth"
     "boxdot"
     "boxplus"
     "boxtimes"
     "square"
     "blacksquare"
     "centerdot"
     "lozenge"
     "blacklozenge"
     "circlearrowright"
     "circlearrowleft"
     "leftrightharpoons"
     "boxminus"
     "Vdash"
     "Vvdash"
     "vDash"
     "twoheadrightarrow"
     "twoheadleftarrow"
     "leftleftarrows"
     "rightrightarrows"
     "upuparrows"
     "downdownarrows"
     "upharpoonright"
     "downharpoonright"
     "upharpoonleft"
     "downharpoonleft"
     "rightarrowtail"
     "leftarrowtail"
     "leftrightarrows"
     "rightleftarrows"
     "Lsh"
     "Rsh"
     "rightsquigarrow"
     "leftrightsquigarrow"
     "looparrowleft"
     "looparrowright"
     "circeq"
     "succsim"
     "gtrsim"
     "gtrapprox"
     "multimap"
     "therefore"
     "because"
     "doteqdot"
     "triangleq"
     "precsim"
     "lesssim"
     "lessapprox"
     "eqslantless"
     "eqslantgtr"
     "curlyeqprec"
     "curlyeqsucc"
     "preccurlyeq"
     "leqq"
     "leqslant"
     "lessgtr"
     "backprime"
     "risingdotseq"
     "fallingdotseq"
     "succcurlyeq"
     "geqq"
     "geqslant"
     "gtrless"
     "vartriangleright"
     "vartriangleleft"
     "trianglerighteq"
     "trianglelefteq"
     "bigstar"
     "between"
     "blacktriangledown"
     "blacktriangleright"
     "blacktriangleleft"
     "vartriangle"
     "blacktriangle"
     "triangledown"
     "eqcirc"
     "lesseqgtr"
     "gtreqless"
     "lesseqqgtr"
     "gtreqqless"
     "Rrightarrow"
     "Lleftarrow"
     "veebar"
     "barwedge"
     "measuredangle"
     "sphericalangle"
     "varpropto"
     "smallsmile"
     "smallfrown"
     "Subset"
     "Supset"
     "Cup"
     "Cap"
     "curlywedge"
     "curlyvee"
     "leftthreetimes"
     "rightthreetimes"
     "subseteqq"
     "supseteqq"
     "bumpeq"
     "Bumpeq"
     "ulcorner"
     "urcorner"
     "llcorner"
     "lrcorner"
     "circledS"
     "pitchfork"
     "dotplus"
     "backsim"
     "backsimeq"
     "complement"
     "intercal"
     "circledcirc"
     "circledast"
     "circleddash"
     "lvertneqq"
     "gvertneqq"
     "nleq"
     "ngeq"
     "nless"
     "ngtr"
     "nprec"
     "nsucc"
     "lneqq"
     "gneqq"
     "nleqslant"
     "ngeqslant"
     "lneq"
     "gneq"
     "npreceq"
     "nsucceq"
     "precnsim"
     "succnsim"
     "lnsim"
     "gnsim"
     "nleqq"
     "ngeqq"
     "precneqq"
     "succneqq"
     "precnapprox"
     "succnapprox"
     "lnapprox"
     "gnapprox"
     "nsim"
     "ncong"
     "nsubseteqq"
     "nsupseteqq"
     "subsetneqq"
     "supsetneqq"
     "subsetneq"
     "supsetneq"
     "nsubseteq"
     "nsupseteq"
     "nparallel"
     "nmid"
     "nshortmid"
     "nshortparallel"
     "nvdash"
     "nVdash"
     "nvDash"
     "nVDash"
     "ntrianglerighteq"
     "ntrianglelefteq"
     "ntriangleleft"
     "ntriangleright"
     "nleftarrow"
     "nrightarrow"
     "nLeftarrow"
     "nRightarrow"
     "nLeftrightarrow"
     "nleftrightarrow"
     "divideontimes"
     "varnothing"
     "eqsim"
     "beth"
     "gimel"
     "daleth"
     "lessdot"
     "gtrdot"
     "ltimes"
     "rtimes"
     "shortmid"
     "shortparallel"
     "smallsetminus"
     "thicksim"
     "thickapprox"
     "approxeq"
     "succapprox"
     "precapprox"
     "curvearrowleft"
     "curvearrowright"
     "digamma"
     "varkappa"
     "hslash"
     "hbar"
     "backepsilon"
     "nexi"
     "dres"
     "rres"
     "sres"
     "ires"
     "zedindent"
     "zedleftsep"
     "zedtab"
     "zedbar"
     "zedlinethickness"
     "zedcornerheight"
     "zedbaselineskip"
     "interzedlinepenalty"
     "preboxpenalty"
     "forcepagepenalty"
     "mho"
     "Join"
     "Box"
     "Diamond"
     "leadsto"
     "sqsubset"
     "sqsupset"
     "lhd"
     "unlhd"
     "rhd"
     "unrhd"
     "zBIG"
     "zBig"
     "zbig"
     "zsmall"
     "zSmall"
     "String"
     "STRING"
     "infix"
     "word"
     "keyword"
     "boldword"
     "underword"
     "underkeyword"
     "underboldword"
     "xforall"
     "xexists"
     "xlambda"
     "xmu"
     "xsucc"
     "xprec"
     "dotaccent"
     "sectionsymbol"
     "integral"
     "product"
     "p"
     "f"
     "rightleftharpoons"
     "angle"
     "interleave"
     "shortinterleave"
     "napprox"
     "restriction"
     "Doteq"
     "doublecup"
     "llless"
     "gggtr"
     "doublecap"
     "iff"
     "rename"
     "buni"
     "HOLE"
     "landd"
     "semid"
     "qua"
     "redef"
     "Init"
     "Exit"
     "Internal"
     "Aux"
     "intern"
     "thrm"
     "qed"
     "Qed"
     "QED"
     "BLACKQED"
     "ETH"
     "TH"
     "LE"
     "PR"
     "refines"
     "defines"
     "weakrefine"
     "weakdefine"
     "shows"
     "childof"
     "parentof"
     "weaksubclass"
     "weaksupclass"
     "hasa"
     "instancein"
     "subtype"
     "subtypeeq"
     "suptype"
     "suptypeeq"
     "inherits"
     "subclass"
     "isa"
     "supclass"
     "instantiates"
     "islikea"
     "poly"
     "widen"
     "atnext"
     "atlast"
     "always"
     "uptilnow"
     "eventually"
     "previously"
     "henceforth"
     "comment"
     "M"
     "O"
     "S"
     "leftschemas"
     "zstrut"
     "zedbaselinestretch"
     "baselinestretch"
     "zedsize"
     "zedline"
     "where"
     "also"
     "Also"
     "ALSO"
     "znewpage"
     "zbreak"
     "Zbreak"
     "ZBREAK"
     "t"
     "flushr"
     "derive"
     "Derive"
     "nextside"
     "zseq"
     "zset"
     "zimg"
     "zsch"
     "zimgset"
     "fuzzcompatible"
     "defs"
     "empty")
    (TeX-run-style-hooks
     "calc")))

