(TeX-add-style-hook "poemscol"
 (lambda ()
    (LaTeX-add-environments
     "pmclverse"
     "rfoverse"
     "stanza"
     "marginenvironment"
     "contentsentryenvironment"
     "titleentryenvironment"
     "poem"
     "rightflushverse"
     "volumetitlepage"
     "maintitlepage"
     "booksectionpage"
     "prosesection"
     "prosesectionnoreset"
     "pmsection"
     "cjquotation"
     "epigraphquote"
     "volumetitlepagequote")
    (LaTeX-add-labels
     "textualnotes"
     "emendationnotes"
     "explanatorynotes"
     "#1"
     "#2")
    (TeX-add-symbols
     '("quotedversecorrectionexplanatory" ["argument"] 0)
     '("quotedversecorrectionemendation" ["argument"] 0)
     '("quotedversecorrectiontextnote" ["argument"] 0)
     '("pmtsvariant" ["argument"] 1)
     '("pmemendation" ["argument"] 1)
     '("pmexplanatory" ["argument"] 1)
     '("pmtextnote" ["argument"] 1)
     '("prosetsvariant" ["argument"] 2)
     '("proseexplanatory" ["argument"] 2)
     '("proseemendation" ["argument"] 2)
     '("prosetextnote" ["argument"] 2)
     '("explanatory" ["argument"] 1)
     '("emendation" ["argument"] 1)
     '("tsvariant" ["argument"] 1)
     '("textnote" ["argument"] 1)
     '("makepoemcontents" ["argument"] 0)
     '("changepoemindexlabelname" 1)
     '("putmultiplepoemindex" 4)
     '("changepoemindexcontentsname" 1)
     '("changepoemindexheader" 1)
     '("changepoemindexname" 1)
     '("synchroref" 1)
     '("synchrolabel" 1)
     '("setsynchroflag" 1)
     '("pmclrightsidepar" 1)
     '("pmclleftsidepar" 1)
     '("nostanzaatbottom" 1)
     '("stanzaatbottom" 1)
     '("pmtsaccidental" 1)
     '("pmaccidental" 1)
     '("setpmlemmarange" 1)
     '("pmpararunningformat" 1)
     '("pmparmarformat" 1)
     '("putpmmarginnumber" 2)
     '("setpmmodulo" 1)
     '("marginsentencenumberformat" 1)
     '("runningsentencenumberformat" 1)
     '("prosetsaccidental" 2)
     '("proseaccidental" 2)
     '("proselinelabel" 1)
     '("setproselemmarange" 2)
     '("setproselemmastart" 1)
     '("setcounterfrompageref" 2)
     '("setcounterfromref" 2)
     '("ifrefundefined" 1)
     '("prosesectiontitlenotitle" 1)
     '("prosesectiontitle" 1)
     '("setprosemodulo" 1)
     '("definenewnotetype" 5)
     '("sources" 1)
     '("tsentry" 1)
     '("tsaccidental" 1)
     '("accidental" 1)
     '("setlemmarange" 1)
     '("pmcgobm" 1)
     '("pmccheckifinteger" 1)
     '("literalcontentsshort" 1)
     '("literalexplainshort" 1)
     '("literalemendshort" 1)
     '("literaltextnoteshort" 1)
     '("literalcontents" 1)
     '("literalexplain" 1)
     '("literalemend" 1)
     '("literaltextnote" 1)
     '("volumeattribution" 1)
     '("volumeepigraph" 1)
     '("volumededication" 1)
     '("dedication" 1)
     '("poemdedication" 1)
     '("attribution" 1)
     '("headnote" 1)
     '("epigraph" 1)
     '("margrefspecial" 1)
     '("setmargrefmarker" 1)
     '("JHepigraph" 2)
     '("JHdedication" 2)
     '("JHpoemsubtitle" 2)
     '("JHsequencesectionsubtitle" 2)
     '("JHpoemfirstsectiontitle" 2)
     '("JHpoemsectiontitle" 2)
     '("JHsequencefirstsectiontitle" 2)
     '("JHsequencesectiontitle" 2)
     '("JHsequencetitle" 2)
     '("JHlabel" 1)
     '("JHprosesectiontitle" 2)
     '("JHpoemtitle" 2)
     '("setmargpoemtitle" 2)
     '("interjectiontitlemiddleline" 1)
     '("interjectiontitlelastline" 1)
     '("interjectiontitlefirstline" 1)
     '("sequencefirstsubsectiontitlelastline" 1)
     '("sequencefirstsubsectiontitlemiddleline" 1)
     '("sequencefirstsubsectiontitlefirstline" 1)
     '("sequencefirstsubsubsectiontitlenocontents" 1)
     '("sequencesubsubsectiontitlenocontents" 1)
     '("sequencesubsubsectiontitle" 1)
     '("sequencesubsectiontitlelastline" 1)
     '("sequencesubsectiontitlemiddleline" 1)
     '("sequencesubsectiontitlefirstline" 1)
     '("sequencefirstsubsectiontitlenocontents" 1)
     '("sequencefirstsubsectiontitle" 1)
     '("sequencesubsectiontitlenocontents" 1)
     '("sequencesubsectiontitle" 1)
     '("sequencesectiontitlebaretitle" 1)
     '("sequencesectiontitlefirstlineitalic" 2)
     '("sequencesectiontitleitalic" 2)
     '("sequencesectiontitleitalicnonotes" 2)
     '("poemsubtitle" 1)
     '("sequencesectionsubtitle" 1)
     '("sequencefirstsectiontitlenonotes" 1)
     '("sequencefirstsectiontitlelastline" 1)
     '("sequencefirstsectiontitlemiddleline" 1)
     '("sequencefirstsectiontitlefirstline" 1)
     '("sequencesectiontitlenocontents" 2)
     '("sequencefirstsectiontitlenocontents" 2)
     '("sequencesectiontitlelastline" 1)
     '("sequencesectiontitlemiddleline" 1)
     '("sequencesectiontitlefirstline" 1)
     '("sequencesectiontitlenonotes" 1)
     '("sequencetitlenonotes" 1)
     '("sequencefirstsectiontitle" 1)
     '("sequencesectiontitle" 1)
     '("sequencetitlelastline" 1)
     '("sequencetitlemiddleline" 1)
     '("sequencetitlefirstline" 1)
     '("sequencetitle" 1)
     '("poemtitlenotitleitalic" 2)
     '("poemtitlenotitle" 1)
     '("poemsubsectiontitle" 1)
     '("poemsectiontitlebaretitle" 1)
     '("poemfirstsectiontitlebaretitle" 1)
     '("poemfirstsectiontitle" 1)
     '("poemsectiontitlenocontents" 1)
     '("poemsectiontitlelastline" 1)
     '("poemsectiontitlemiddleline" 1)
     '("poemsectiontitlefirstline" 1)
     '("poemsectiontitle" 1)
     '("poemtitlelastline" 1)
     '("poemtitlemiddleline" 1)
     '("poemtitlefirstline" 1)
     '("poemtitleitalic" 2)
     '("poemtitlebaretitle" 1)
     '("poemtitlenocontents" 1)
     '("poemtitle" 1)
     '("setcontentsleaders" 1)
     '("argpageref" 1)
     '("makepoemlabel" 1)
     '("volumesectiontitle" 1)
     '("volumesubtitle" 1)
     '("volumetitlelastline" 1)
     '("volumetitlemiddleline" 1)
     '("volumetitlefirstline" 1)
     '("volumetitle" 1)
     '("booksection" 1)
     '("wholebooktitle" 1)
     '("changeexplanationscontentsname" 1)
     '("changeexplanationsheader" 1)
     '("changeexplanationsname" 1)
     '("changeemendationscontentsname" 1)
     '("changeemendationsheader" 1)
     '("changeemendationsname" 1)
     '("changetextnotescontentsname" 1)
     '("changenotesheader" 1)
     '("changenotesname" 1)
     '("changecontentsheader" 1)
     '("changecontentsname" 1)
     '("versephantom" 1)
     '("hour" 1)
     '("setverselinemodulo" 1)
     '("pmemlabelref" 1)
     '("newpmemlabel" 2)
     '("pmemlabel" 1)
     '("changemultiplepageabbrev" 1)
     '("changesinglepageabbrev" 1)
     '("rightheader" 1)
     '("leftheader" 1)
     '("volumeheader" 1)
     '("runoverindent" 1)
     "tightgeometry"
     "tightleading"
     "volumetitlefont"
     "volumesubtitlefont"
     "poemtitlefont"
     "sequencetitlefont"
     "subsectiontitlefont"
     "backmatterheaderfont"
     "volumetitlesink"
     "backmattersink"
     "backmatterafterheadersink"
     "backmattertextfont"
     "backmatterintrofont"
     "backmattervolumefont"
     "backmattervolumesubtitlefont"
     "contentsvolumefont"
     "contentsvolumesubtitlefont"
     "contentssequencetitlefont"
     "contentspoemtitlefont"
     "notespoemclubpenalty"
     "notessequenceclubpenalty"
     "notesvolumetitlepenalty"
     "verseindent"
     "titleindentamount"
     "titleindenttwoamount"
     "titleindentthreeamount"
     "titleindent"
     "afterpoemtitleskip"
     "afterpoemskip"
     "aftersequencetitleskip"
     "stanzaskip"
     "volumetitleshiftamount"
     "volumetitleshift"
     "voladditionalamount"
     "contentsindentoneamount"
     "contentsindentone"
     "contentsindenttwoamount"
     "contentsindenttwo"
     "contentsindentthreeamount"
     "contentsindentthree"
     "contentsindentfouramount"
     "contentsindentfour"
     "contentsindentfiveamount"
     "contentsindentfive"
     "poemtitlepenalty"
     "multilinetitlepenalty"
     "sequencetitlepenalty"
     "multilinesequencepenalty"
     "rightflushrunoververse"
     "indentrunoververse"
     "makeverselinenumbers"
     "resetpagestyle"
     "clearemptydoublepage"
     "mymarks"
     "poemdotfill"
     "stanzalinestraddle"
     "pmclsidepar"
     "checkoddpage"
     "cplabel"
     "verselinenumberstoleft"
     "verselinenumberstoright"
     "verselinenumbersswitch"
     "verselinenumbersgutter"
     "verselinenumbersouter"
     "putverselinenumber"
     "verseline"
     "incrementverselinenumber"
     "linebend"
     "saveverselinenumber"
     "restoreverselinenumber"
     "rightversebegin"
     "brokenline"
     "tweakbrokenline"
     "brokenlineatbeginning"
     "startverseline"
     "tweakstartverseline"
     "maketextnotes"
     "makeemendations"
     "makeexplanatorynotes"
     "m"
     "set"
     "c"
     "t"
     "firstlinesettings"
     "middlelinesettings"
     "lastlinesettings"
     "restoresinglelinesettings"
     "makemargreflabel"
     "setmargref"
     "margreftextnote"
     "margrefexplanatory"
     "margrefemendation"
     "sameword"
     "missingpunct"
     "citerange"
     "resetlemmacounters"
     "checknoteheaders"
     "titletoothernotes"
     "firstemendation"
     "firstexplanatory"
     "proseciterange"
     "checkprosenoteheaders"
     "setprosebysentence"
     "pmnumberstoleft"
     "pmnumberstoright"
     "pmnumbersswitch"
     "pmnumbersgutter"
     "pmnumbersouter"
     "putpmsentencenumber"
     "pmsentence"
     "pmsentencetwo"
     "putpmsentencenumbertwo"
     "pmsentencethree"
     "putpmsentencenumberthree"
     "pmsentencefour"
     "putpmsentencenumberfour"
     "putpmmarparanumber"
     "pmpara"
     "pmciterange"
     "pmchecknoteheaders"
     "pmresetlemmacounters"
     "textnotesatfoot"
     "emendationsatfoot"
     "explanationsatfoot"
     "bibleverse"
     "biblechapter"
     "pmclsavsk"
     "pmclsavsf"
     "startparalleltexts"
     "saveversoline"
     "restoreversoline"
     "saverectoline"
     "restorerectoline"
     "hfilll"
     "startversopage"
     "finishversopage"
     "startrectopage"
     "finishrectopage"
     "testforauxonfirstrun"
     "putpoemcontents"
     "hyphenationforsmall"
     "putpoemindex"
     "noteaboutstanzamarkpage"
     "longpage"
     "shortpage"
     "makeatletter"
     "makeatother"
     "makelinenumbers"
     "oldleftskip"
     "leftskip"
     "protect"
     "poemlinelabel"
     "contentsleaders"
     "strip"
     "appendtomacro"
     "sentencelabel"
     "cleartorecto"
     "cleartoverso"
     "pmclbsphack"
     "pmclesphack"
     "finish"
     "puttextnotes"
     "putexplanatory"
     "putemendations"
     "pmclidxitem"
     "item")))

