(TeX-add-style-hook "probsoln"
 (lambda ()
    (LaTeX-add-environments
     "defproblem"
     "onlysolution"
     "onlyproblem"
     "PSNitem"
     "solution"
     "textenum")
    (TeX-add-symbols
     '("foreachproblem" ["argument"] 1)
     '("loadrandomproblems" ["argument"] 2)
     '("loadselectedproblems" ["argument"] 2)
     '("loadallproblems" ["argument"] 1)
     '("useproblem" ["argument"] 1)
     '("incorrectitemformat" 1)
     '("correctitemformat" 1)
     '("selectrandomly" 2)
     '("selectallproblems" 1)
     '("doforrandN" 4)
     '("shuffle" 2)
     '("random" 3)
     '("PSNrandom" 2)
     '("PSNgetrandseed" 1)
     '("PSNrandseed" 1)
     '("foreachdataset" 2)
     '("moveproblem" 3)
     '("draftproblemlabel" 2)
     "prob"
     "PSNrand"
     "newproblem"
     "solutionname"
     "correctitem"
     "incorrectitem"
     "showanswers"
     "hideanswers"
     "thisproblemargs")
    (TeX-run-style-hooks
     "amsmath"
     "substr"
     "ifthen")))

