(TeX-add-style-hook "songbook"
 (lambda ()
    (LaTeX-add-environments
     '("SBExtraKeys" 1)
     '("SBOccurs" 1)
     '("SBBracket" 1)
     '("songTranslation" 4)
     '("xlatn" 3)
     "song"
     "SBVerse"
     "SBSection"
     "SBChorus"
     "SBOpGroup"
     "SBBracket")
    (TeX-add-symbols
     '("CBPageBrk" ["argument"] 0)
     '("SBIntro" ["argument"] 1)
     '("SBEnd" ["argument"] 1)
     '("STitle" ["argument"] 2)
     '("WAndM" ["argument"] 1)
     '("ScriptRef" ["argument"] 1)
     '("CpyRt" ["argument"] 2)
     '("SBBridge" 1)
     '("SBRef" 2)
     '("SBMargNote" 1)
     '("Chr" 2)
     '("ChX" 2)
     '("Ch" 2)
     '("STitleMarkboth" 2)
     '("SongMarkboth" 2)
     '("SBSectionMarkright" 1)
     '("SBVerseMarkright" 1)
     '("SBChorusMarkright" 1)
     '("FLineIdx" 1)
     '("SBtocSEntry" 3)
     "ChBassFont"
     "ChFont"
     "ChBkFont"
     "CpyRtFont"
     "CpyRtInfoFont"
     "STitleFont"
     "STitleKeyFont"
     "STNFont"
     "STitleNumberFont"
     "ScriptRefFont"
     "WandMFont"
     "SBBracketTagFont"
     "SBBridgeTagFont"
     "SBChorusTagFont"
     "SBEndTagFont"
     "SBIntroTagFont"
     "SBOBFont"
     "SBOccursBrktFont"
     "SBOccursTagFont"
     "SBVerseNumberFont"
     "SBSectionNumberFont"
     "SBMargNoteFont"
     "SBRefFont"
     "SBDefaultFont"
     "SBLyricNoteFont"
     "SBOHContTagFont"
     "HangAmt"
     "LeftMarginSBBracket"
     "LeftMarginSBChorus"
     "LeftMarginSBSection"
     "LeftMarginSBVerse"
     "SBChordRaise"
     "SBOldChordRaise"
     "SBRuleRaiseAmount"
     "SpaceAboveSTitle"
     "SpaceAfterTitleBlk"
     "SpaceAfterChorus"
     "SpaceAfterOpGroup"
     "SpaceAfterSBBracket"
     "SpaceAfterSection"
     "SpaceAfterSong"
     "SpaceAfterVerse"
     "SpaceBeforeSBBracket"
     "mySTNFont"
     "OHContPgFtrTag"
     "OHContPgHdrTag"
     "SBBaseLang"
     "SBBridgeTag"
     "SBChorusTag"
     "SBContinueTag"
     "SBEndTag"
     "SBIntersyllableRule"
     "SBIntroTag"
     "SBPubDom"
     "SBUnknownTag"
     "SBWAndMTag"
     "Songbook"
     "theSongComposer"
     "theSongComposerU"
     "theSongCopyRt"
     "theSongKey"
     "theSongLicense"
     "theSongScriptRef"
     "theSongTitle"
     "theXlatnBy"
     "theXlatnLang"
     "theXlatnPerm"
     "theXlatnTitle"
     "SBem"
     "SBen"
     "SBContinueMark"
     "OHContPgFtr"
     "OHContPgHdr"
     "sbSetsbBaselineSkipAmt"
     "CBExcl"
     "OHExcl"
     "WBExcl"
     "WOExcl"
     "CSColBrk"
     "NotWOPageBrk"
     "OHPageBrk"
     "WBPageBrk"
     "WOPageBrk"
     "False"
     "True"
     "ChordBk"
     "Overhead"
     "SongEject"
     "WordBk"
     "WordsOnly"
     "SBinSongEnv"
     "makeArtistIndex"
     "artistIndex"
     "makeKeyIndex"
     "keyIndex"
     "makeTitleIndex"
     "titleIndex"
     "makeTitleContents"
     "titleContents"
     "makeTitleContentsSkip"
     "protect"
     "thepage"
     "titleContentsSkip"
     "sbChord")
    (TeX-run-style-hooks
     "multicol"
     "ifthen"
     "conditionals"
     "calc")))

