(TeX-add-style-hook "textopo"
 (lambda ()
    (LaTeX-add-environments
     "rotopo"
     "helicalwheel")
    (TeX-add-symbols
     '("showgrid" ["argument"] 0)
     '("place" ["argument"] 2)
     '("labelinside" ["argument"] 1)
     '("labeloutside" ["argument"] 1)
     '("glycosylation" ["argument"] 1)
     '("phosphorylation" ["argument"] 1)
     '("labelTM" ["argument"] 2)
     '("labelloop" ["argument"] 2)
     '("addtagtoCterm" ["argument"] 3)
     '("addtagtoNterm" ["argument"] 3)
     '("labelregion" ["argument"] 3)
     '("loopextent" ["argument"] 1)
     '("applyshading" ["argument"] 2)
     '("donotshadestartMet" ["argument"] 0)
     '("getsequence" ["argument"] 2)
     "loopcount"
     "innerloopcount"
     "iloopcount"
     "sincos"
     "bsymA"
     "sfdcA"
     "squareA"
     "lipoA"
     "treeA"
     "bsymB"
     "sfdcB"
     "squareB"
     "lipoB"
     "treeB"
     "bsymC"
     "sfdcC"
     "squareC"
     "lipoC"
     "treeC"
     "bsymD"
     "sfdcD"
     "squareD"
     "lipoD"
     "treeD"
     "bsymE"
     "sfdcE"
     "squareE"
     "lipoE"
     "treeE"
     "bsymF"
     "sfdcF"
     "squareF"
     "lipoF"
     "treeF"
     "bsymG"
     "sfdcG"
     "squareG"
     "lipoG"
     "treeG"
     "bsymH"
     "sfdcH"
     "squareH"
     "lipoH"
     "treeH"
     "bsymI"
     "sfdcI"
     "squareI"
     "lipoI"
     "treeI"
     "bsymJ"
     "sfdcJ"
     "squareJ"
     "lipoJ"
     "treeJ"
     "bsymK"
     "sfdcK"
     "squareK"
     "lipoK"
     "treeK"
     "directE"
     "cosE"
     "sinE"
     "directENE"
     "cosENE"
     "sinENE"
     "directNE"
     "cosNE"
     "sinNE"
     "directNNE"
     "cosNNE"
     "sinNNE"
     "directN"
     "cosN"
     "sinN"
     "directNNW"
     "cosNNW"
     "sinNNW"
     "directNW"
     "cosNW"
     "sinNW"
     "directWNW"
     "cosWNW"
     "sinWNW"
     "directW"
     "cosW"
     "sinW"
     "directWSW"
     "cosWSW"
     "sinWSW"
     "directSW"
     "cosSW"
     "sinSW"
     "directSSW"
     "cosSSW"
     "sinSSW"
     "directS"
     "cosS"
     "sinS"
     "directSSE"
     "cosSSE"
     "sinSSE"
     "directSE"
     "cosSE"
     "sinSE"
     "directESE"
     "cosESE"
     "sinESE"
     "analyzetopo"
     "dotopo"
     "seqstart"
     "displaysection"
     "shadestartMet"
     "sequence"
     "loopfoot"
     "MRs"
     "clearMRs"
     "anchor"
     "moveres"
     "Nterm"
     "flipNterm"
     "flipCterm"
     "labelstyle"
     "labelloops"
     "movelooplabel"
     "hidelooplabels"
     "labelTMs"
     "moveTMlabel"
     "hideTMlabels"
     "countercolor"
     "looplabelcolor"
     "TMlabelcolor"
     "hideNterm"
     "showNterm"
     "hideCterm"
     "showCterm"
     "showmembrane"
     "hidemembrane"
     "membranecolors"
     "broadenmembrane"
     "thickenmembrane"
     "borderthickness"
     "moveinsidelabel"
     "moveoutsidelabel"
     "rulethickness"
     "scaletopo"
     "TeXtopo"
     "showmoment"
     "hidemoment"
     "Hmean"
     "muH"
     "muHmean"
     "mudelta"
     "momentcolor"
     "scalemoment"
     "showbonds"
     "hidebonds"
     "viewfromintra"
     "viewfromextra"
     "showwheelnumbering"
     "hidewheelnumbering"
     "scalewheel"
     "wheelsperline"
     "symbolsize"
     "helixstyle"
     "remodel"
     "newelement"
     "hidegrid"
     "allmatchspecial"
     "allmatchspecialoff"
     "showlegend"
     "hidelegend"
     "movelegend"
     "numcount"
     "Alphacount"
     "alphacount"
     "romancount"
     "Romancount"
     "setfamily"
     "setseries"
     "setshape"
     "setsize"
     "setfont"
     "labelsrm"
     "labelssf"
     "labelstt"
     "labelsmd"
     "labelsbf"
     "labelsup"
     "labelsit"
     "labelssl"
     "labelssc"
     "labelstiny"
     "labelsscriptsize"
     "labelsfootnotesize"
     "labelssmall"
     "labelsnormalsize"
     "labelslarge"
     "labelsLarge"
     "labelsLARGE"
     "labelshuge"
     "labelsHuge"
     "membranelabelsrm"
     "membranelabelssf"
     "membranelabelstt"
     "membranelabelsmd"
     "membranelabelsbf"
     "membranelabelsup"
     "membranelabelsit"
     "membranelabelssl"
     "membranelabelssc"
     "membranelabelstiny"
     "membranelabelsscriptsize"
     "membranelabelsfootnotesize"
     "membranelabelssmall"
     "membranelabelsnormalsize"
     "membranelabelslarge"
     "membranelabelsLarge"
     "membranelabelsLARGE"
     "membranelabelshuge"
     "membranelabelsHuge"
     "looplabelsrm"
     "looplabelssf"
     "looplabelstt"
     "looplabelsmd"
     "looplabelsbf"
     "looplabelsup"
     "looplabelsit"
     "looplabelssl"
     "looplabelssc"
     "looplabelstiny"
     "looplabelsscriptsize"
     "looplabelsfootnotesize"
     "looplabelssmall"
     "looplabelsnormalsize"
     "looplabelslarge"
     "looplabelsLarge"
     "looplabelsLARGE"
     "looplabelshuge"
     "looplabelsHuge"
     "TMlabelsrm"
     "TMlabelssf"
     "TMlabelstt"
     "TMlabelsmd"
     "TMlabelsbf"
     "TMlabelsup"
     "TMlabelsit"
     "TMlabelssl"
     "TMlabelssc"
     "TMlabelstiny"
     "TMlabelsscriptsize"
     "TMlabelsfootnotesize"
     "TMlabelssmall"
     "TMlabelsnormalsize"
     "TMlabelslarge"
     "TMlabelsLarge"
     "TMlabelsLARGE"
     "TMlabelshuge"
     "TMlabelsHuge"
     "standardresidues"
     "similarpositions"
     "conservedpositions"
     "invariablepositions"
     "shadingcolors"
     "nomatchresidues"
     "TextNomatch"
     "similarresidues"
     "TextSimilar"
     "conservedresidues"
     "TextIdentical"
     "allmatchresidues"
     "TextAllmatch"
     "gapcolors"
     "legendcolor"
     "clearvariables"
     "standardparameters")
    (TeX-run-style-hooks
     "texshade"
     "graphics"
     "color")))

