(TeX-add-style-hook "tufte-common"
 (lambda ()
    (LaTeX-add-environments
     "marginfigure"
     "margintable"
     "fullwidth")
    (TeX-add-symbols
     '("marginnote" ["argument"] 1)
     '("publisher" ["argument"] 1)
     '("lettergroup" 1)
     '("nohyphens" 1)
     '("maketitlepage" 0)
     '("typeoutstr" 2)
     '("typeoutbool" 2)
     '("newlinetospace" 1)
     '("setfloatalignment" 1)
     '("doi" 1)
     '("newthought" 1)
     '("smallcaps" 1)
     '("allcaps" 1)
     "plaintitle"
     "plainauthor"
     "plainpublisher"
     "thanklesstitle"
     "thanklessauthor"
     "thanklesspublisher"
     "thedate"
     "textsmallcaps"
     "footnotelayout"
     "multiplefootnotemarker"
     "multfootsep"
     "sidenote"
     "floatalignment"
     "PrintTufteSettings"
     "nohyphenation"
     "makelabel"
     "allcapsspacing"
     "smallcapsspacing"
     "pdftexversion"
     "pdftexrevision"
     "pdfoutput"
     "baselinestretch"
     "cite"
     "caption"
     "label"
     "newline"
     "cleardoublepage"
     "item")
    (TeX-run-style-hooks
     "multicol"
     "titletoc"
     "titlesec"
     "xcolor"
     "usenames"
     "dvipsnames"
     "svgnames"
     "fancyhdr"
     "textcomp"
     "fontenc"
     "T1"
     "mathpazo"
     "osf"
     "sc"
     "placeins"
     "optparams"
     "bibentry"
     "natbib"
     "numbers"
     "bidi"
     "setspace"
     "letterspace"
     "soul"
     "textcase"
     "paralist"
     "chngpage"
     "changepage"
     "strict"
     "ragged2e"
     "hyperref"
     "xetex"
     "ifxetex"
     "ifpdf"
     "xifthen"
     "tufte-common-local")))

