(TeX-add-style-hook "uiucthesis"
 (lambda ()
    (LaTeX-add-environments
     "thesis"
     "preliminary"
     "theindex"
     "thebibliography"
     "abstract"
     "dedication"
     "symbollist")
    (TeX-add-symbols
     '("note" 1)
     '("adviser" 1)
     '("advisor" 1)
     '("volume" 1)
     '("committee" 1)
     '("othermasters" 2)
     '("otherdoctorate" 2)
     "timemm"
     "toclabels"
     "cminch"
     "chapternumberfont"
     "chaptertitlefont"
     "chapternumberheight"
     "sectiontitlefont"
     "subsectiontitlefont"
     "subsubsectiontitlefont"
     "vitaname"
     "vita"
     "MakeUppercase"
     "makeindex"
     "draftheader"
     "title"
     "author"
     "phdthesis"
     "msthesis"
     "degree"
     "department"
     "college"
     "schools"
     "degreeyear"
     "copyrightnotice"
     "nocopyrightpage"
     "evensidemargin"
     "frontmatter"
     "tableofcontents"
     "listoftables"
     "listoffigures"
     "abstractname"
     "maketitle"
     "makelabel"
     "chapter"
     "baselinestretch"
     "marginpar"
     "sectionmark"
     "chaptermark"
     "thesisspacing")
    (TeX-run-style-hooks
     "bk10"
     "book"
     "setspace")))

