(TeX-add-style-hook "uml"
 (lambda ()
    (LaTeX-add-index-entries
     "##1!##2"
     "#1!#2")
    (LaTeX-add-environments
     '("umlColors" 1))
    (TeX-add-symbols
     '("umlPlaceNode" ["argument"] 2)
     '("umlNavigabilityB" ["argument"] 1)
     '("umlNavigabilityA" ["argument"] 1)
     '("umlNavigability" ["argument"] 1)
     '("umlSymbolB" ["argument"] 1)
     '("umlSymbolA" ["argument"] 1)
     '("umlSymbol" ["argument"] 2)
     '("umlLabelB" ["argument"] 1)
     '("umlLabelA" ["argument"] 1)
     '("umlLabel" ["argument"] 2)
     '("umlAssociationEnd" ["argument"] 2)
     '("umlArgumentRelation" ["argument"] 2)
     '("umlAssociationClass" ["argument"] 2)
     '("umlAssociationSchema" ["argument"] 2)
     '("umlToRelation" ["argument"] 2)
     '("umlApplication" ["argument"] 2)
     '("umlComposition" ["argument"] 2)
     '("umlAggregation" ["argument"] 2)
     '("umlInstance" ["argument"] 2)
     '("umlInner" ["argument"] 2)
     '("umlSubclass" ["argument"] 2)
     '("umlAssociation" ["argument"] 2)
     '("umlRelation" ["argument"] 3)
     '("umlArgument" ["argument"] 1)
     '("umlMethod" ["argument"] 2)
     '("umlAttribute" ["argument"] 1)
     '("umlFeature" ["argument"] 1)
     '("umlCompartmentline" ["argument"] 1)
     '("umlCompartment" ["argument"] 1)
     '("umlCompartmentCommon" ["argument"] 1)
     '("umlSchema" ["argument"] 6)
     '("umlClass" ["argument"] 3)
     '("umlClassifier" ["argument"] 2)
     '("umlPackage" ["argument"] 2)
     '("umlStretchbox" ["argument"] 2)
     '("umlDiagram" ["argument"] 1)
     '("umlBox" ["argument"] 1)
     '("umlElement" ["argument"] 1)
     '("umlDrawable" ["argument"] 1)
     '("umlBottomLeftSepOpt" 2)
     '("umlTopLeftSepOpt" 2)
     '("umlBottomRightSepOpt" 2)
     '("umlTopRightSepOpt" 2)
     '("umlBottomSepOpt" 2)
     '("umlLeftSepOpt" 2)
     '("umlTopSepOpt" 2)
     '("umlRightSepOpt" 2)
     '("umlBottomLeftOpt" 2)
     '("umlTopLeftOpt" 2)
     '("umlBottomRightOpt" 2)
     '("umlTopRightOpt" 2)
     '("umlBottomOpt" 2)
     '("umlLeftOpt" 2)
     '("umlTopOpt" 2)
     '("umlRightOpt" 2)
     '("umlBottomLeftSep" 1)
     '("umlTopLeftSep" 1)
     '("umlBottomRightSep" 1)
     '("umlTopRightSep" 1)
     '("umlBottomSep" 1)
     '("umlLeftSep" 1)
     '("umlTopSep" 1)
     '("umlRightSep" 1)
     '("umlBottomLeft" 1)
     '("umlTopLeft" 1)
     '("umlBottomRight" 1)
     '("umlTopRight" 1)
     '("umlBottom" 1)
     '("umlLeft" 1)
     '("umlTop" 1)
     '("umlRight" 1)
     '("umlColorset" 1)
     '("umlFromTo" 3)
     '("umlCompartmentText" 1)
     '("umlIndex" 2)
     "umlIndexOn"
     "umlIndexOff"
     "umlDiagramNull"
     "umlStretchboxNull"
     "umlClassifierNull"
     "umlCompartmentNull"
     "umlhspace"
     "umlFeatureNull"
     "umlTilde"
     "umlMethodNull"
     "umlArgumentNull"
     "umlRelationNullConnection"
     "umlRelationNullArmGeometry"
     "umlRelationNullVisual"
     "umlRelationNull"
     "umlToRelationNull"
     "umlAssociationEndNull"
     "umlAssociationEndUseFraction"
     "umlSymbolUseFraction"
     "umlColorsDefault"
     "umlColorsGray"
     "umlColorsImport"
     "umlColorsArgument"
     "umlColorsRed"
     "umlColorsSub"
     "umlPlaceNodeNull"
     "basename"
     "umlDebugLineStyle"
     "umlDebugLinestyle"
     "umlDebugLength"
     "umlTrueVariable"
     "umlDrawableNull"
     "umlImport"
     "umlNameDefault"
     "umlElementNull"
     "umlReference"
     "umlStereotype"
     "umlSubof"
     "umlAbstract"
     "umlImportedFrom"
     "umlComment"
     "umlBoxNullPositions"
     "umlPos"
     "umlPosX"
     "umlPosY"
     "umlPosDelta"
     "umlPosDeltaX"
     "umlPosDeltaY"
     "umlRefpoint"
     "umlBoxNullBoxes"
     "umlBoxH"
     "umlBoxV"
     "umlPosCommand"
     "umlPosDeltaCommand"
     "umlBoxNullVisual"
     "umlGrayness"
     "umlBorder"
     "umlFillcolorCommand"
     "umlOuterBorder"
     "umlInnerBorder"
     "umlBoxNullSize"
     "umlSizeX"
     "umlSizeY"
     "umlBoxNull"
     "umlGrid"
     "umlObject"
     "umlGraphicalName"
     "ifisnull"
     "inner"
     "arg"
     "umlCompartmentContents"
     "umlhsep"
     "umlVisibilityLength"
     "umlVisibility"
     "umlPropertyString"
     "umlAttributeNull"
     "umlInitialValue"
     "umlMultiplicity"
     "umlOrdering"
     "umlMultiplicityOrdering"
     "umlName"
     "umlAngleA"
     "umlAngleB"
     "umlNodesepA"
     "umlNodesepB"
     "umlOffsetA"
     "umlOffsetB"
     "umlArmAngleA"
     "umlArmAngleB"
     "umlLinestyle"
     "umlGeneralization"
     "umlPosMeetLine"
     "umlAEOffsetDefault"
     "umlAEFractionAngleDefault"
     "umlAEAngleDefault"
     "umlAEHeightDefault"
     "umlAEType"
     "umlAEKind"
     "umlAEColor"
     "umlType"
     "umlKind"
     "umlAEOffset"
     "umlAEAngle"
     "umlAEFractionAngle"
     "umlAEHeight"
     "umlAERefpoint"
     "umlAEFractionTmp"
     "umlAENoderefClose"
     "umlAENoderefFar"
     "umlAEFraction"
     "umlTmp"
     "umlEndSymbol"
     "umlColorsAdjust"
     "umlPlaceNodeAngleX"
     "umlPlaceNodeAngleY"
     "umlPlaceNodeOffsetX"
     "umlPlaceNodeOffsetY"
     "umlPlaceNodeNodesepX"
     "umlPlaceNodeNodesepY")
    (TeX-run-style-hooks
     "relsize"
     "pst-xkey"
     "pst-node"
     "pstricks")))

