(TeX-add-style-hook "upmethodology-fmt"
 (lambda ()
    (LaTeX-add-environments
     '("upmfontsize" 1)
     "mfigures"
     "mtabular"
     "mtable"
     "umlinpar"
     "inlineenumeration")
    (LaTeX-add-labels
     "fig:#5"
     "fig:##5"
     "footnote:#2")
    (TeX-add-symbols
     '("makename" ["argument"] 2)
     '("upmmakename" ["argument"] 3)
     '("setenumcounter" 1)
     '("restorecounter" 1)
     '("savecounter" 1)
     '("bibsize" 1)
     '("tabpageref" 1)
     '("tabref" 1)
     '("tabulartitle" 1)
     '("msubfigure" 3)
     '("figpageref" 1)
     '("figref" 1)
     '("textsub" 1)
     '("textsup" 1)
     "upm"
     "trademark"
     "regmark"
     "smalltrade"
     "smallreg"
     "smallcopy"
     "captionastitle"
     "ps"
     "saveenumcounter"
     "restoreenumcounter"
     "getenumcounter"
     "mfigure"
     "figmath"
     "figtext"
     "mfigurewtex"
     "MakeUppercase"
     "protect"
     "makedate"
     "extractyear"
     "extractmonth"
     "extractday"
     "Huge"
     "huge"
     "small"
     "scriptsize"
     "footnotesize"
     "tiny")
    (TeX-run-style-hooks
     "varioref"
     "setspace"
     "pifont"
     "amsmath"
     "picinpar"
     "colortbl"
     "multicol"
     "tabularx"
     "subfigure"
     "graphicx"
     "ifthen"
     "xspace")))

